Index: /anuga_work/production/dampier_2006/export_results.py
===================================================================
--- /anuga_work/production/dampier_2006/export_results.py	(revision 4044)
+++ /anuga_work/production/dampier_2006/export_results.py	(revision 4045)
@@ -5,10 +5,11 @@
 from os import sep
 
-time_dir = '20061116_055135_run' #
+time_dir = '20061127_055714_run' #
 directory = project.output_dir
-name = directory + time_dir + sep + project.scenario_name
+#name = directory + time_dir + sep + project.scenario_name
+name = directory+sep+project.scenario_name
 
 is_parallel = True
-if is_parallel == True: nodes = 8
+if is_parallel == True: nodes = 4
 print 'output dir:', name
 
@@ -19,9 +20,9 @@
 
 if which_var == 1:  # Absolute Momentum
-    outname = name + '_momentum_i0'
+    outname = name + '_momentum_i50'
     quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
 
 if which_var == 2:  # Depth
-    outname = name + '_depth_test100'
+    outname = name + '_depth'
     quantityname = 'stage-elevation'  
 
@@ -36,5 +37,5 @@
 
 if is_parallel == True:
-    for i in range(3,nodes):
+    for i in range(2,nodes):
         namei = name + '_P%d_%d' %(i,nodes)
         outnamei = outname + '_P%d_%d' %(i,nodes)
@@ -42,5 +43,5 @@
         sww2dem(namei, basename_out = outnamei,
                     quantity = quantityname,
-                    timestep = 0,
+                    timestep = 50,
                     cellsize = 100,      
                     #easting_min = project.e_min_area,
Index: /anuga_work/production/dampier_2006/project.py
===================================================================
--- /anuga_work/production/dampier_2006/project.py	(revision 4044)
+++ /anuga_work/production/dampier_2006/project.py	(revision 4045)
@@ -219,4 +219,5 @@
 clip_poly_mid_e = read_polygon(polygons_dir+'gap_mid_e.cvs')
 
+plot_polygons([bounding_polygon,poly_facility,poly_pipeline,poly_interior,poly_coast],'polys',verbose=True)
 #Interior regions
 karratha_south = degminsec2decimal_degrees(-20,44,0)
Index: /anuga_work/production/pt_hedland_2006/project.py
===================================================================
--- /anuga_work/production/pt_hedland_2006/project.py	(revision 4044)
+++ /anuga_work/production/pt_hedland_2006/project.py	(revision 4045)
@@ -7,5 +7,4 @@
 #from anuga.utilities.polygon import read_polygon
 import sys
-from anuga.coordinate_transforms.redfearn import convert_points_from_latlon_to_utm
 from anuga.coordinate_transforms.redfearn import degminsec2decimal_degrees
 from time import localtime, strftime
@@ -25,4 +24,57 @@
 # offshore data from AHO fairsheets
 offshore_name2 = 'pt_hedland_offshore_points_fairsheet_orig'
+
+# reissued offshore data from PMD and NM&I Nov 2006
+offshore_name0 = 'hydrographic_charts'
+offshore_name1 = 'xy100003817'
+offshore_name2 = 'xy100003819'
+offshore_name3 = 'xy100003822'
+offshore_name4 = 'xy100003824'
+offshore_name5 = 'xy100003825'
+offshore_name6 = 'xy100003826'
+offshore_name7 = 'xy100003827'
+offshore_name8 = 'xy100003828'
+offshore_name9 = 'xy100003829'
+offshore_name10 = 'xy100003830'
+offshore_name11 = 'xy100003831'
+offshore_name12 = 'xy100003832'
+offshore_name13 = 'xy100003837'
+offshore_name14 = 'xy100003838'
+offshore_name15 = 'xy100003840'
+offshore_name16 = 'xy100003841'
+offshore_name17 = 'xy100003843'
+offshore_name18 = 'xy100003845'
+offshore_name19 = 'xy100003846'
+offshore_name20 = 'xy100003847'
+offshore_name21 = 'xy100003945'
+offshore_name22 = 'xy100003946'
+offshore_name23 = 'xy100003947'
+offshore_name24 = 'xy100003948'
+offshore_name25 = 'xy100004071'
+offshore_name26 = 'xy100004072'
+offshore_name27 = 'xy100004074'
+offshore_name28 = 'xy100004078'
+offshore_name29 = 'xy100004079'
+offshore_name30 = 'xy100004080'
+offshore_name31 = 'xy100004081'
+offshore_name32 = 'xy100004082'
+offshore_name33 = 'xy100004083'
+offshore_name34 = 'xy100004084'
+offshore_name35 = 'xy100004085'
+offshore_name36 = 'xy100004086'
+offshore_name37 = 'xy100004087'
+offshore_name38 = 'xy100004088'
+offshore_name39 = 'xy100004089'
+offshore_name40 = 'xy100004090'
+offshore_name41 = 'xy100011753'
+offshore_name42 = 'xy100014967'
+offshore_name43 = 'xy100014968'
+offshore_name44 = 'xy100014969'
+offshore_name45 = 'xy100021030'
+offshore_name46 = 'xy100021031'
+offshore_name47 = 'xy100021032'
+offshore_name48 = 'xy100021033'
+offshore_name49 = 'xy100021035'
+offshore_name50 = 'xy100022767'
 
 # coastline developed from aerial photography and 1.5m DLI contour
@@ -86,6 +138,56 @@
 #onshore_dem_name = datadir + onshore_name_dted
 onshore_dem_name = datadir + onshore_name_dli
+offshore_dem_name0 = datadir + offshore_name0
 offshore_dem_name1 = datadir + offshore_name1
 offshore_dem_name2 = datadir + offshore_name2
+offshore_dem_name3 = datadir + offshore_name3
+offshore_dem_name4 = datadir + offshore_name4
+offshore_dem_name5 = datadir + offshore_name5
+offshore_dem_name6 = datadir + offshore_name6
+offshore_dem_name7 = datadir + offshore_name7
+offshore_dem_name8 = datadir + offshore_name8
+offshore_dem_name9 = datadir + offshore_name9
+offshore_dem_name10 = datadir + offshore_name10
+offshore_dem_name11 = datadir + offshore_name11
+offshore_dem_name12 = datadir + offshore_name12
+offshore_dem_name13 = datadir + offshore_name13
+offshore_dem_name14 = datadir + offshore_name14
+offshore_dem_name15 = datadir + offshore_name15
+offshore_dem_name16 = datadir + offshore_name16
+offshore_dem_name17 = datadir + offshore_name17
+offshore_dem_name18 = datadir + offshore_name18
+offshore_dem_name19 = datadir + offshore_name19
+offshore_dem_name20 = datadir + offshore_name20
+offshore_dem_name21 = datadir + offshore_name21
+offshore_dem_name22 = datadir + offshore_name22
+offshore_dem_name23 = datadir + offshore_name23
+offshore_dem_name24 = datadir + offshore_name24
+offshore_dem_name25 = datadir + offshore_name25
+offshore_dem_name26 = datadir + offshore_name26
+offshore_dem_name27 = datadir + offshore_name27
+offshore_dem_name28 = datadir + offshore_name28
+offshore_dem_name29 = datadir + offshore_name29
+offshore_dem_name30 = datadir + offshore_name30
+offshore_dem_name31 = datadir + offshore_name31
+offshore_dem_name32 = datadir + offshore_name32
+offshore_dem_name33 = datadir + offshore_name33
+offshore_dem_name34 = datadir + offshore_name34
+offshore_dem_name35 = datadir + offshore_name35
+offshore_dem_name36 = datadir + offshore_name36
+offshore_dem_name37 = datadir + offshore_name37
+offshore_dem_name38 = datadir + offshore_name38
+offshore_dem_name39 = datadir + offshore_name39
+offshore_dem_name40 = datadir + offshore_name40
+offshore_dem_name41 = datadir + offshore_name41
+offshore_dem_name42 = datadir + offshore_name42
+offshore_dem_name43 = datadir + offshore_name43
+offshore_dem_name44 = datadir + offshore_name44
+offshore_dem_name45 = datadir + offshore_name45
+offshore_dem_name46 = datadir + offshore_name46
+offshore_dem_name47 = datadir + offshore_name47
+offshore_dem_name48 = datadir + offshore_name48
+offshore_dem_name49 = datadir + offshore_name49
+offshore_dem_name50 = datadir + offshore_name50
+
 coast_dem_name = datadir + coast_name
 combined_dem_name = datadir + 'pt_hedland_combined_elevation'
Index: /anuga_work/production/pt_hedland_2006/run_pt_hedland.py
===================================================================
--- /anuga_work/production/pt_hedland_2006/run_pt_hedland.py	(revision 4044)
+++ /anuga_work/production/pt_hedland_2006/run_pt_hedland.py	(revision 4045)
@@ -6,5 +6,5 @@
 
 The scenario is defined by a triangular mesh created from project.polygon,
-the elevation data and a simulated submarine landslide.
+the elevation data and a tsunami generated by a subduction zone earthquake.
 
 Ole Nielsen and Duncan Gray, GA - 2005 and Nick Bartzis, GA - 2006
@@ -28,5 +28,5 @@
 from anuga.geospatial_data.geospatial_data import *
 import sys
-from anuga.abstract_2d_finite_volumes.util import Screen_Catcher
+from anuga.abstract_2d_finite_volumes.util import start_screen_catcher, copy_code_files
 
 # Application specific imports
@@ -38,18 +38,9 @@
 #-------------------------------------------------------------------------------
 
-# creates copy of code in output dir if dir doesn't exist
-if access(project.outputtimedir,F_OK) == 0 :
-    mkdir (project.outputtimedir)
-copy (dirname(project.__file__) +sep+ project.__name__+'.py', project.outputtimedir + project.__name__+'.py')
-copy (__file__, project.outputtimedir + basename(__file__))
-print 'project.outputtimedir',project.outputtimedir
-
-# normal screen output is stored in 
-screen_output_name = project.outputtimedir + "screen_output.txt"
-screen_error_name = project.outputtimedir + "screen_error.txt"
-
-# used to catch screen output to file
-sys.stdout = Screen_Catcher(screen_output_name)
-sys.stderr = Screen_Catcher(screen_error_name)
+copy_code_files(project.outputtimedir,__file__,dirname(project.__file__)+sep+ project.__name__+'.py' )
+myid = 0
+numprocs = 1
+start_screen_catcher(project.outputtimedir, myid, numprocs)
+
 print 'USER:    ', project.user
 
@@ -79,14 +70,63 @@
         verbose=True)
 
-print 'create G1'
-G1 = Geospatial_data(file_name = project.offshore_dem_name1 + '.xya')
-print 'create G2'
-G2 = Geospatial_data(file_name = project.offshore_dem_name2 + '.xya')
-print 'create G3'
-G3 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
-print 'create G4'
-G4 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
-print 'add G1+G2+G3+G4'
-G = G1 + G2 + G3 + G4
+print 'create offshore'
+G11= Geospatial_data(file_name = project.offshore_dem_name0 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name1 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name2 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name3 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name4 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name5 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name6 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name7 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name8 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name9 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name10 + '.xya')
+G12= Geospatial_data(file_name = project.offshore_dem_name11 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name12 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name13 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name14 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name15 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name16 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name17 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name18 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name19 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name20 + '.xya')
+G13= Geospatial_data(file_name = project.offshore_dem_name21 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name22 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name23 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name24 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name25 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name26 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name27 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name28 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name29 + '.xya')
+G14= Geospatial_data(file_name = project.offshore_dem_name30 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name31 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name32 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name33 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name34 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name35 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name36 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name37 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name38 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name39 + '.xya')
+G15= Geospatial_data(file_name = project.offshore_dem_name40 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name41 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name42 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name43 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name44 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name45 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name46 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name47 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name48 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name49 + '.xya')+\
+     Geospatial_data(file_name = project.offshore_dem_name50 + '.xya')
+   
+print 'create onshore'
+G2 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
+print 'create coast'
+G3 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
+print 'add'
+G = G11 + G12 + G13 + G14 + G15 + G2 + G3
 print 'export G'
 G.export_points_file(project.combined_dem_name + '.pts')
Index: /anuga_work/production/sydney_2006/project_slide.py
===================================================================
--- /anuga_work/production/sydney_2006/project_slide.py	(revision 4044)
+++ /anuga_work/production/sydney_2006/project_slide.py	(revision 4045)
@@ -27,5 +27,7 @@
 # onshore data provided by NSW LPI, Krishna merged with existing
 # PMD data to make 100m DEM
-on_offshore_name = '' 
+on_offshore_name25 = 'bathy_dem25'
+on_offshore_name100 = 'bathyland100'
+nsw100 = 'dem_utm'
 
 # AHO
@@ -53,5 +55,7 @@
 
 # Necessary if using point datasets, rather than grid
-on_offshore_dem_name = datadir + on_offshore_name
+on_offshore25_dem_name = datadir + on_offshore_name25
+on_offshore100_dem_name = datadir + on_offshore_name100
+nsw_dem_name = datadir + nsw100
 offshore_dem_name1 = datadir + offshore_name1
 combined_dem_name   = datadir + 'sydney_combined_elevation'
@@ -72,12 +76,19 @@
 ###############################
 
-# broome digitized polygons
-poly_syd1 = read_polygon(polygondir+'.csv')
-poly_syd2 = read_polygon(polygondir+'.csv')
-poly_syd3 = read_polygon(polygondir+'.csv')
+# sydney digitized polygons
+interior_regions = []
+area = 0.
+coast_res = 500.
+for i in range(1,10):
+    poly = read_polygon(polygondir+'poly'+str(i)+'.csv')
+    area += polygon_area(poly)
+    #interior_regions.append([poly,coast_res])
+
+poly_syd1 = read_polygon(polygondir+'local.csv')
+local_res = 50000.
+interior_regions.append([poly_syd1,local_res])
 
 print 'Area of local polygon', polygon_area(poly_syd1)/1000000.0
-print 'Area of close polygon', polygon_area(poly_syd2)/1000000.0
-print 'Area of coastal polygon', polygon_area(poly_syd3)/1000000.0
+print 'Area of local polygon', area/1000000.0
 
 ###################################################################
@@ -85,9 +96,56 @@
 ###################################################################
 
+# clipping for 25m grid for conversion
+eastingmin25 = 324825
+eastingmax25 = 347650
+northingmin25 = 6231960
+northingmax25 = 6272543
+
+poly_25mclip = read_polygon(polygondir+'25mclip.csv')
+
+# clipping for 100m grid for conversion
+eastingmin100 = 315870
+eastingmax100 = 361607
+northingmin100 = 6227588
+northingmax100 = 6285975
+
+# clipping for nsw grid for conversion
+eastingmin_nsw = 315870
+eastingmax_nsw = 390480
+northingmin_nsw = 6161100 
+northingmax_nsw = 6330000
+
+poly_origsyd = [[eastingmin100,northingmin100],[eastingmax100,northingmin100],\
+                [eastingmax100,northingmax100],[eastingmin100,northingmax100]]
+
 # exporting asc grid
-eastingmin = 
-eastingmax = 
-northingmin = 
-northingmax = 
+#eastingmin = 
+#eastingmax = 
+#northingmin = 
+#northingmax = 
 
-#slump_origin = [,]
+###################################################################
+# Slide characteristics
+###################################################################
+
+#slide_origin = [,]
+bulli_depth = 2087.0
+bulli_length = 16840.0
+bulli_thickness = 424.0
+bulli_width = 8860.0
+bulli_density = 1.46
+bulli_alpha = 126.0 + 90.0
+
+shovel_depth = 968.0
+shovel_length = 13500.0
+shovel_thickness = 165.0
+shovel_width = 4350.0
+shovel_density = 1.49
+shovel_alpha = 118.0 + 90.0
+
+yacaaba_depth = 1119.0
+yacaaba_length = 7050.0
+yacaaba_thickness = 144.0
+yacaaba_width = 3080.0
+yacaaba_density = 1.48
+yacaaba_alpha = 133.0 + 90.0
Index: /anuga_work/production/sydney_2006/run_sydney_slide.py
===================================================================
--- /anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4044)
+++ /anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4045)
@@ -2,8 +2,8 @@
 
 Source data such as elevation and boundary data is assumed to be available in
-directories specified by project.py
-The output sww file is stored in project.outputtimedir 
-
-The scenario is defined by a triangular mesh created from project.polygon,
+directories specified by project_slide.py
+The output sww file is stored in project_slide.outputtimedir 
+
+The scenario is defined by a triangular mesh created from project_slide.polygon,
 the elevation data and a tsunami wave generated by s submarine mass failure.
 
@@ -38,10 +38,10 @@
 
 # creates copy of code in output dir 
-copy_code_files(project.outputtimedir,__file__,dirname(project.__file__)+sep+ project.__name__+'.py' )
+copy_code_files(project_slide.outputtimedir,__file__,dirname(project_slide.__file__)+sep+ project_slide.__name__+'.py' )
 myid = 0
 numprocs = 1
-start_screen_catcher(project.outputtimedir, myid, numprocs)
-
-print 'USER:    ', project.user
+start_screen_catcher(project_slide.outputtimedir, myid, numprocs)
+
+print 'USER:    ', project_slide.user
 
 #-------------------------------------------------------------------------------
@@ -52,48 +52,76 @@
 
 # filenames
-on_offshore_dem_name = project.on_offshore_dem_name
-meshname = project.meshname+'.msh'
+on_offshore25_dem_name = project_slide.on_offshore25_dem_name
+on_offshore100_dem_name = project_slide.on_offshore100_dem_name
+nsw_dem_name = project_slide.nsw_dem_name
+meshname = project_slide.meshname+'.msh'
 
 # creates DEM from asc data
-convert_dem_from_ascii2netcdf(on_offshore_dem_name, use_cache=True, verbose=True)
+convert_dem_from_ascii2netcdf(on_offshore25_dem_name, use_cache=True, verbose=True)
+convert_dem_from_ascii2netcdf(on_offshore100_dem_name, use_cache=True, verbose=True)
+convert_dem_from_ascii2netcdf(nsw_dem_name, use_cache=True, verbose=True)
 
 #creates pts file for onshore DEM
-dem2pts(on_offshore_dem_name, use_cache=True, verbose=True)
-
+dem2pts(on_offshore25_dem_name,
+        easting_min=project_slide.eastingmin25,
+        easting_max=project_slide.eastingmax25,
+        northing_min=project_slide.northingmin25,
+        northing_max= project_slide.northingmax25,
+        use_cache=True, verbose=True)
+dem2pts(on_offshore100_dem_name,
+        easting_min=project_slide.eastingmin100,
+        easting_max=project_slide.eastingmax100,
+        northing_min=project_slide.northingmin100,
+        northing_max= project_slide.northingmax100,
+        use_cache=True, verbose=True)
+dem2pts(nsw_dem_name,
+        easting_min=project_slide.eastingmin_nsw,
+        easting_max=project_slide.eastingmax_nsw,
+        northing_min=project_slide.northingmin_nsw,
+        northing_max= project_slide.northingmax_nsw,
+        use_cache=True, verbose=True)
+
+'''
 print 'create offshore'
-G1 = Geospatial_data(file_name = project.offshore_dem_name1 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name2 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name3 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name4 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name5 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name6 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name7 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name8 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name9 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name10 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name11 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name12 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name13 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name14 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name15 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name16 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name17 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name18 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name19 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name20 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name21 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_dem_name22 + '.xya')+\
-     Geospatial_data(file_name = project.offshore_interp_dem_name + '.pts')
+G1 = Geospatial_data(file_name = project_slide.offshore_dem_name1 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name2 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name3 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name4 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name5 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name6 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name7 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name8 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name9 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name10 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name11 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name12 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name13 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name14 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name15 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name16 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name17 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name18 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name19 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name20 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name21 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_dem_name22 + '.xya')+\
+     Geospatial_data(file_name = project_slide.offshore_interp_dem_name + '.pts')
+'''
 print 'create onshore'
-G2 = Geospatial_data(file_name = project.on_offshore_dem_name + '.pts')
+G2 = Geospatial_data(file_name = project_slide.on_offshore25_dem_name + '.pts')
+G3 = Geospatial_data(file_name = project_slide.on_offshore100_dem_name + '.pts')
+G4 = Geospatial_data(file_name = project_slide.nsw_dem_name + '.pts')
 print 'add'
-G = G1 + G2 + G3
+#G5
+G = G2.clip(Geospatial_data(project_slide.poly_25mclip)) +\
+    G3.clip(Geospatial_data(project_slide.poly_origsyd)) +\
+    (G4.clip(Geospatial_data(project_slide.polyAll))).clip_outside(Geospatial_data(project_slide.poly_origsyd))
 print 'export points'
-G.export_points_file(project.combined_dem_name + '.pts')
-G.export_points_file(project.combined_dem_name + '.xya')
+G.export_points_file(project_slide.combined_dem_name + '.pts')
+G.export_points_file(project_slide.combined_dem_name + '.xya')
 
 #----------------------------------------------------------------------------
 # Create the triangular mesh based on overall clipping polygon with a tagged
-# boundary and interior regions defined in project.py along with
+# boundary and interior regions defined in project_slide.py along with
 # resolutions (maximal area of per triangle) for each polygon
 #-------------------------------------------------------------------------------
@@ -102,19 +130,15 @@
 remainder_res = 500000
 local_res = 25000
-syd_res = 5000
-coast_res = 500
-interior_regions = [[project.poly_syd1, local_res],
-                    [project.poly_syd2, syd_res],
-                    [project.poly_syd3, coast_res]]
+#interior_regions = [[project_slide.poly_syd1, local_res]]
+#interior_regions.append(project_slide.poly_sydcoast)
 
 from caching import cache
 _ = cache(create_mesh_from_regions,
-          project.polyAll,
+          project_slide.polyAll,
            {'boundary_tags': {'e0': [0], 'e1': [1], 'e2': [2],
-                              'e3': [3], 'e4':[4], 'e5': [5],
-			      'e6': [6]},
+                              'e3': [3], 'e4':[4]},
            'maximum_triangle_area': remainder_res,
            'filename': meshname,
-           'interior_regions': interior_regions},
+           'interior_regions': project_slide.interior_regions},
           verbose = True, evaluate=False)
 print 'created mesh'
@@ -129,6 +153,6 @@
 print domain.statistics()
 
-domain.set_name(project.basename)
-domain.set_datadir(project.outputtimedir)
+domain.set_name(project_slide.basename)
+domain.set_datadir(project_slide.outputtimedir)
 domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
 domain.set_minimum_storable_height(0.01)
@@ -142,5 +166,5 @@
 domain.set_quantity('friction', 0.0) 
 domain.set_quantity('elevation', 
-                    filename = project.combined_dem_name + '.pts',
+                    filename = project_slide.combined_dem_name + '.pts',
                     use_cache = True,
                     verbose = True,
@@ -153,13 +177,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=30000.0,
-                               depth=400.0,
-                               slope=6.0,
-                               thickness=176.0, 
-                               radius=3330,
-                               dphi=0.23,
-                               x0=project.slump_origin[0], 
-                               y0=project.slump_origin[1], 
-                               alpha=0.0, 
+tsunami_source = slide_tsunami(length=project_slide.bulli_length,
+                               width=project_slide.bulli_width,
+                               depth=project_slide.bulli_depth,
+                               slope=project_slide.bulli_slope,
+                               thickness=project_slide.bulli_thickness, 
+                               x0=project_slide.slide_origin[0], 
+                               y0=project_slide.slide_origin[1], 
+                               alpha=project_slide.bulli_alpha, 
                                domain=domain)
 
@@ -172,6 +195,5 @@
 Bd = Dirichlet_boundary([tide,0,0])
 
-domain.set_boundary( {'e0': Bd,  'e1': Bd, 'e2': Bd, 'e3': Bd, 'e4': Bd,
-		      'e5': Bd,  'e6': Bd} )
+domain.set_boundary( {'e0': Bd,  'e1': Bd, 'e2': Bd, 'e3': Bd, 'e4': Bd} )
 
 
@@ -184,5 +206,5 @@
 for t in domain.evolve(yieldstep = 30, finaltime = 480): 
     domain.write_time()
-    domain.write_boundary_statistics(tags = 'e14')
+    domain.write_boundary_statistics(tags = 'e2')
     stagestep = domain.get_quantity('stage') 
 