Index: /anuga_work/production/dampier_2006/build_dampier.py
===================================================================
--- /anuga_work/production/dampier_2006/build_dampier.py	(revision 4048)
+++ /anuga_work/production/dampier_2006/build_dampier.py	(revision 4049)
@@ -113,5 +113,5 @@
 G_off13 = Geospatial_data(file_name = project.offshore_dir_name13 + '.xya')
 G_off14 = Geospatial_data(file_name = project.offshore_dir_name14 + '.xya')
-'''
+
 
 
@@ -125,5 +125,5 @@
 G_offshore_old = Geospatial_data(file_name = project.offshore_dir_name_old + '.pts')
 
-'''
+
 print 'G_offshore_data_old_nw', 
 G_nw_name = project.topographies_dir + 'nw_old_data'
@@ -145,5 +145,5 @@
 print' max and min of array 0',max(G_e[:,0]),min(G_e[:,0])
 print' max and min of array 1',max(G_e[:,1]),min(G_e[:,1])
-'''
+
 
 print 'G_offshore_data_mid_e'#, G_offshore_old_nw.get_data_points()
@@ -188,4 +188,6 @@
 G_clipped.export_points_file(project.combined_time_dir_final_name + '.pts')
 G_clipped.export_points_file(project.combined_time_dir_final_name + '.xya')
+
+
 '''
 #-------------------------------------------------------------------------
@@ -199,25 +201,24 @@
 print 'minlat=project.north_boundary, maxlat=project.south_boundary',project.north_boundary, project.south_boundary
 print 'minlon= project.west_boundary, maxlon=project.east_boundary',project.west_boundary, project.east_boundary
-print ' maxlon=project.east',project.east
 
 #import sys; sys.exit()
 
-if access(project.boundaries_time_dir,F_OK) == 0:
-    mkdir (project.boundaries_time_dir)
+#if access(project.boundaries_dir,F_OK) == 0:
+#    mkdir (project.boundaries_dir)
 
 from caching import cache
 cache(urs2sww,
       (boundaries_in_dir_name,
-       project.boundaries_time_dir_name), 
+       project.boundaries_dir_name1), 
       {'verbose': True,
-#       'minlat': project.south_boundary,
-#       'maxlat': project.north_boundary,
-#       'minlon': project.west_boundary,
-#       'maxlon': project.east_boundary,
+       'minlat': project.south_boundary,
+       'maxlat': project.north_boundary,
+       'minlon': project.west_boundary,
+       'maxlon': project.east_boundary,
 #       'minlat': project.south,
 #       'maxlat': project.north,
 #       'minlon': project.west,
 #       'maxlon': project.east,
-       'mint': 0, 'maxt': 35000,
+       'mint': 0, 'maxt': 40000,
 #       'origin': domain.geo_reference.get_origin(),
        'mean_stage': project.tide,
@@ -227,11 +228,11 @@
        )
 #       dependencies = source_dir + project.boundary_basename + '.sww')
-'''   
-
-
-
-
-
-
-
-
+
+
+
+
+
+
+
+
+
Index: /anuga_work/production/dampier_2006/project.py
===================================================================
--- /anuga_work/production/dampier_2006/project.py	(revision 4048)
+++ /anuga_work/production/dampier_2006/project.py	(revision 4049)
@@ -65,6 +65,5 @@
 combined_final_name ='dampier_combined_elevation_final'
 
-#gauge_name = 'dampier_gauges.csv'
-gauge_name = 'dampier_gauges_up2.csv' 
+gauge_name = 'dampier_gauges_up2.csv'
 
 #Derive subdirectories and filenames
@@ -98,5 +97,5 @@
 
 gauge_dir = home+sep+state+sep+scenario_datas_name+sep+'anuga'+sep+'gauges'+sep
-gauge_filename = gauge_dir + gauge_name
+gauge_filename = gauge_dir + 'dampier_gauges_up2.csv'
 
 gauges_dir_name = gauges_dir + gauge_name
Index: /anuga_work/production/dampier_2006/run_dampier.py
===================================================================
--- /anuga_work/production/dampier_2006/run_dampier.py	(revision 4048)
+++ /anuga_work/production/dampier_2006/run_dampier.py	(revision 4049)
@@ -29,4 +29,5 @@
 from anuga.shallow_water import File_boundary
 from anuga.shallow_water import Reflective_boundary
+from Numeric import allclose
 
 from anuga.pmesh.mesh_interface import create_mesh_from_regions
@@ -84,26 +85,9 @@
     print 'start create mesh from regions'
     interior_regions = [#[project.karratha_polygon, 25000],
-#                    [project.poly_coast, 10000],
-#                    [project.poly_pipeline, 2000],
-#                    [project.poly_facility, 500]]    
-                    [project.poly_interior, 1000]]       
+                    [project.poly_coast, 10000],
+                    [project.poly_pipeline, 2000],
+                    [project.poly_facility, 500]]    
+#                    [project.poly_interior, 1000]]       
     
-    from anuga.utilities.polygon import plot_polygons
-    figname = project.output_run_time_dir + 'poly_pic'
-    plot_polygons([interior_regions,
-               project.bounding_polygon],
-               figname,
-               verbose = True)
-#    if access(project.meshes_time_dir,F_OK) == 0:
-#        mkdir(project.meshes_time_dir)
-    if access(project.meshes_dir,F_OK) == 0:
-        mkdir(project.meshes_dir)
-    print 'start create mesh from regions'
-    interior_regions = [#[project.karratha_polygon, 25000],
-#                    [project.cipma_polygon, 1000],
-#                    [project.poly_pipeline, 5000],
-#                    [project.poly_facility, 500]]    
-                    [project.poly_interior, 1000]]    
-#    meshes_dir_name = project.meshes_dir_name + '.msh'
 
     create_mesh_from_regions(project.bounding_polygon,
@@ -147,5 +131,5 @@
 from caching import cache
 if myid == 0:
-    cache(urs2sww,
+    cache(ferret2sww,
           (boundaries_in_dir_name,
     #       boundaries_time_dir_name), 
@@ -160,5 +144,5 @@
 #           'minlon': project.west,
 #           'maxlon': project.east,
-           'mint': 0, 'maxt': 35000,
+           'mint': 0, 'maxt': 35100,
            'origin': domain.geo_reference.get_origin(),
            'mean_stage': project.tide,
@@ -173,19 +157,22 @@
 # Setup initial conditions
 #-------------------------------------------------------------------------
-print 'Setup initial conditions'
-
-domain.set_quantity('stage', tide)
-domain.set_quantity('friction', 0.0) 
-#combined_time_dir_name = project.topographies_dir+build_time+project.combined_name
-print 'Start Set quantity'
-
-domain.set_quantity('elevation', 
+if myid == 0:
+
+    print 'Setup initial conditions'
+
+    domain.set_quantity('stage', tide)
+    domain.set_quantity('friction', 0.0) 
+    #combined_time_dir_name = project.topographies_dir+build_time+project.combined_name
+    print 'Start Set quantity'
+
+
+    domain.set_quantity('elevation', 
                     filename = project.topographies_dir + build_time + sep + project.combined_final_name + '.pts',
                     use_cache = True,
                     verbose = True,
                     alpha = 0.1)
-#domain.set_quantity('elevation', -50)
-print 'Finished Set quantity'
-
+    #domain.set_quantity('elevation', -50)
+    print 'Finished Set quantity'
+barrier()
 
 
@@ -247,13 +234,12 @@
 
 for t in domain.evolve(yieldstep = 120, finaltime = 9000):
-#for t in domain.evolve(yieldstep = 120, finaltime = 130):
     domain.write_time()
     domain.write_boundary_statistics(tags = 'ocean')
-    print 'time: ',time.time()
+#    print 'time: ',time.time()
  
     if allclose(t, 6000):
         domain.set_quantity('xmomentum', 0)
         domain.set_quantity('ymomentum', 0)
-import sys; sys.exit()
+#import sys; sys.exit()
      
 for t in domain.evolve(yieldstep = 60, finaltime = 28800