Index: anuga_work/development/friction_UA_flume_2006/elevation.xya
===================================================================
--- anuga_work/development/friction_UA_flume_2006/elevation.xya	(revision 4051)
+++ anuga_work/development/friction_UA_flume_2006/elevation.xya	(revision 4055)
@@ -1,132 +1,123 @@
-elevation				
-0	,	0	,	0
-0.1	,	0	,	0
-0.2	,	0	,	0
-0.3	,	0	,	0
-0.4	,	0	,	0
-0.5	,	0	,	0
-0.6	,	0	,	0
-0.7	,	0	,	0
-0.8	,	0	,	0
-0.9	,	0	,	0
-1	,	0	,	0
-1.1	,	0	,	0
-1.2	,	0	,	0
-1.3	,	0	,	0
-1.4	,	0	,	0
-1.5	,	0	,	0
-1.6	,	0	,	0
-1.7	,	0	,	0
-1.8	,	0	,	0
-1.9	,	0	,	0
-2	,	0	,	0
-2.1	,	0	,	0
-2.2	,	0	,	0
-2.3	,	0	,	0
-2.4	,	0	,	0
-2.5	,	0	,	0
-2.6	,	0	,	0
-2.7	,	0	,	0
-2.8	,	0	,	0
-2.9	,	0	,	0
-3	,	0	,	0
-3.1	,	0	,	0
-3.2	,	0	,	0
-3.3	,	0	,	0
-3.4	,	0	,	0
-3.5	,	0	,	0
-3.6	,	0	,	0
-3.7	,	0	,	0
-3.8	,	0	,	0
-3.9	,	0	,	0
-4	,	0	,	0
-4.1	,	0	,	0
-4.2	,	0	,	0
-4.3	,	0	,	0
-4.4	,	0	,	0
-4.5	,	0	,	0
-4.6	,	0	,	0
-4.7	,	0	,	0
-4.8	,	0	,	0
-4.9	,	0	,	0
-5	,	0	,	0
-5.1	,	0	,	0.01
-5.2	,	0	,	0.02
-5.3	,	0	,	0.03
-5.4	,	0	,	0.04
-5.5	,	0	,	0.05
-5.6	,	0	,	0.06
-5.7	,	0	,	0.07
-5.8	,	0	,	0.08
-5.9	,	0	,	0.09
-6	,	0	,	0.1
-6.1	,	0	,	0.11
-6.2	,	0	,	0.12
-6.3	,	0	,	0.13
-6.4	,	0	,	0.14
-6.5	,	0	,	0.15
-6.6	,	0	,	0.16
-6.7	,	0	,	0.17
-6.8	,	0	,	0.18
-6.9	,	0	,	0.19
-7	,	0	,	0.2
-7.1	,	0	,	0.21
-7.2	,	0	,	0.22
-7.3	,	0	,	0.23
-7.4	,	0	,	0.24
-7.5	,	0	,	0.25
-7.6	,	0	,	0.26
-7.7	,	0	,	0.27
-7.8	,	0	,	0.28
-7.9	,	0	,	0.29
-8	,	0	,	0.3
-8.1	,	0	,	0.31
-8.2	,	0	,	0.32
-8.3	,	0	,	0.33
-8.4	,	0	,	0.34
-8.5	,	0	,	0.35
-8.6	,	0	,	0.36
-8.7	,	0	,	0.37
-8.8	,	0	,	0.38
-8.9	,	0	,	0.39
-9	,	0	,	0.4
-9.1	,	0	,	0.41
-9.2	,	0	,	0.42
-9.3	,	0	,	0.43
-9.4	,	0	,	0.44
-9.5	,	0	,	0.45
-9.6	,	0	,	0.46
-9.7	,	0	,	0.47
-9.8	,	0	,	0.48
-9.9	,	0	,	0.49
-10	,	0	,	0.5
-10.1	,	0	,	0.51
-10.2	,	0	,	0.52
-10.3	,	0	,	0.53
-10.4	,	0	,	0.54
-10.5	,	0	,	0.55
-10.6	,	0	,	0.56
-10.7	,	0	,	0.57
-10.8	,	0	,	0.58
-10.9	,	0	,	0.59
-11	,	0	,	0.6
-11.1	,	0	,	0.61
-11.2	,	0	,	0.62
-11.3	,	0	,	0.63
-11.4	,	0	,	0.64
-11.5	,	0	,	0.65
-11.6	,	0	,	0.66
-11.7	,	0	,	0.67
-11.8	,	0	,	0.68
-11.9	,	0	,	0.69
-12	,	0	,	0.7
-12.1	,	0	,	0.71
-12.2	,	0	,	0.72
-12.3	,	0	,	0.73
-12.4	,	0	,	0.74
-12.5	,	0	,	0.75
-12.6	,	0	,	0.76
-12.7	,	0	,	0.77
-12.8	,	0	,	0.78
-12.9	,	0	,	0.79
-13	,	0	,	0.8
+elevation,,
+0,0,0
+0.1,0,0
+0.2,0,0
+0.3,0,0
+0.4,0,0
+0.5,0,0
+0.6,0,0
+0.7,0,0
+0.8,0,0
+0.9,0,0
+1,0,0
+1.1,0,0
+1.2,0,0
+1.3,0,0
+1.4,0,0
+1.5,0,0
+1.6,0,0
+1.7,0,0
+1.8,0,0
+1.9,0,0
+2,0,0
+2.1,0,0
+2.2,0,0
+2.3,0,0
+2.4,0,0
+2.5,0,0
+2.6,0,0
+2.7,0,0
+2.8,0,0
+2.9,0,0
+3,0,0
+3.1,0,0
+3.2,0,0
+3.3,0,0
+3.4,0,0
+3.5,0,0
+3.6,0,0
+3.7,0,0
+3.8,0,0
+3.9,0,0
+4,0,0
+4.1,0,0.01
+4.2,0,0.02
+4.3,0,0.03
+4.4,0,0.04
+4.5,0,0.05
+4.6,0,0.06
+4.7,0,0.07
+4.8,0,0.08
+4.9,0,0.09
+5,0,0.1
+5.1,0,0.11
+5.2,0,0.12
+5.3,0,0.13
+5.4,0,0.14
+5.5,0,0.15
+5.6,0,0.16
+5.7,0,0.17
+5.8,0,0.18
+5.9,0,0.19
+6,0,0.2
+6.1,0,0.21
+6.2,0,0.22
+6.3,0,0.23
+6.4,0,0.24
+6.5,0,0.25
+6.6,0,0.26
+6.7,0,0.27
+6.8,0,0.28
+6.9,0,0.29
+7,0,0.3
+7.1,0,0.31
+7.2,0,0.32
+7.3,0,0.33
+7.4,0,0.34
+7.5,0,0.35
+7.6,0,0.36
+7.7,0,0.37
+7.8,0,0.38
+7.9,0,0.39
+8,0,0.4
+8.1,0,0.41
+8.2,0,0.42
+8.3,0,0.43
+8.4,0,0.44
+8.5,0,0.45
+8.6,0,0.46
+8.7,0,0.47
+8.8,0,0.48
+8.9,0,0.49
+9,0,0.5
+9.1,0,0.51
+9.2,0,0.52
+9.3,0,0.53
+9.4,0,0.54
+9.5,0,0.55
+9.6,0,0.56
+9.7,0,0.57
+9.8,0,0.58
+9.9,0,0.59
+10,0,0.6
+10.1,0,0.61
+10.2,0,0.62
+10.3,0,0.63
+10.4,0,0.64
+10.5,0,0.65
+10.6,0,0.66
+10.7,0,0.67
+10.8,0,0.68
+10.9,0,0.69
+11,0,0.7
+11.1,0,0.71
+11.2,0,0.72
+11.3,0,0.73
+11.4,0,0.74
+11.5,0,0.75
+11.6,0,0.76
+11.7,0,0.77
+11.8,0,0.78
+11.9,0,0.79
+12,0,0.8
+12.1,0,0.81
Index: anuga_work/development/friction_UA_flume_2006/parallel_run_dam.py
===================================================================
--- anuga_work/development/friction_UA_flume_2006/parallel_run_dam.py	(revision 4051)
+++ anuga_work/development/friction_UA_flume_2006/parallel_run_dam.py	(revision 4055)
@@ -63,4 +63,12 @@
         pro_instance = project.Project(['data','flumes','dam_2006'],
                                         outputdir_name=outputdir_name)
+        print "The output dir is", pro_instance.outputdir
+        copy_code_files(pro_instance.outputdir,__file__,
+                        dirname(project.__file__) \
+                        + sep + project.__name__+'.py')
+        copy (pro_instance.codedir + 'run_dam.py',
+              pro_instance.outputdir + 'run_dam.py')
+        copy (pro_instance.codedir + 'create_mesh.py',
+              pro_instance.outputdir + 'create_mesh.py')
     else:
         # wait for a bit..I don't know if I need this
@@ -81,14 +89,6 @@
 
     # creates copy of code in output dir
-    print "The output dir is", pro_instance.outputdir
-    copy_code_files(pro_instance.outputdir,__file__,
-                    dirname(project.__file__) \
-                    + sep + project.__name__+'.py')
-    copy (pro_instance.codedir + 'run_dam.py',
-          pro_instance.outputdir + 'run_dam' + str(friction)+ '.py')
-    copy (pro_instance.codedir + 'create_mesh.py',
-          pro_instance.outputdir + 'create_mesh.py')
     if is_trial_run is False:
-        start_screen_catcher(pro_instance.outputdir, int(friction*100))
+        start_screen_catcher(pro_instance.outputdir, rank, pypar.size())
 
     print 'USER:    ', pro_instance.user
@@ -119,5 +119,5 @@
     domain.set_datadir(pro_instance.outputdir)
     domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
-    domain.set_minimum_storable_height(0.01)
+    domain.set_minimum_storable_height(0.001)
     #domain.set_store_vertices_uniquely(True)  # for writting to sww
 
@@ -140,6 +140,6 @@
 
     Br = Reflective_boundary(domain)
-    Bd = Dirichlet_boundary([0,0,0])  # to drain the water out.
-    domain.set_boundary( {'wall': Br, 'edge': Bd} )
+    #Bd = Dirichlet_boundary([0,0,0])  # to drain the water out.
+    domain.set_boundary( {'wall': Br, 'edge': Br} )
 
     #-------------------------------------------------------------------------
@@ -187,7 +187,10 @@
     size = pypar.size() #Number of MPI processes
     node = pypar.get_processor_name()
-    frictions = [0.0, 0.01, 0.0125]
+    frictions = [0.0, 0.005, 0.0075, 0.01, 0.0125, 0.014, 0.015,
+                 0.016, 0.017, 0.018,
+                 0.019, 0.02,
+                 0.0225, 0.025, 0.03, 0.035, 0.04]
     for i, friction in enumerate(frictions):
         if i%size == rank:
             print "I am processor %d of %d on node %s" %(rank, size, node)
-            #main(friction, is_trial_run = True, outputdir_name='friction_UA')
+            main(friction, is_trial_run = False, outputdir_name='friction_UA_min_sww_fix')
Index: anuga_work/development/friction_UA_flume_2006/run_dam.py
===================================================================
--- anuga_work/development/friction_UA_flume_2006/run_dam.py	(revision 4051)
+++ anuga_work/development/friction_UA_flume_2006/run_dam.py	(revision 4055)
@@ -40,8 +40,8 @@
         outputdir_name += '_test'
         yieldstep = 1
-        finaltime = 31
+        finaltime = 15
     else:
         yieldstep = 0.01
-        finaltime = 31
+        finaltime = 15
            
     pro_instance = project.Project(['data','flumes','dam_2006'],
@@ -152,6 +152,6 @@
 #-------------------------------------------------------------
 if __name__ == "__main__":
-     frictions = [0.04]
+     frictions = [0.00,0.02]
      for i, friction in enumerate(frictions):
-         main(friction, is_trial_run = True, outputdir_name='friction_UA_2')
+         main(friction, is_trial_run = True, outputdir_name='friction_UA')
 