Index: /anuga_core/documentation/user_manual/anuga_user_manual.tex
===================================================================
--- /anuga_core/documentation/user_manual/anuga_user_manual.tex	(revision 4061)
+++ /anuga_core/documentation/user_manual/anuga_user_manual.tex	(revision 4062)
@@ -979,5 +979,8 @@
 supporting data is found in the ASCII grid, \code{cairns.asc}, which
 has been sourced from the publically available Australian Bathymetry
-and Topography Grid 2005, \cite{grid250}.
+and Topography Grid 2005, \cite{grid250}. The required resolution
+for inundation modelling will depend on the underlying topography and 
+bathymetry; as the terrain becomes more complex, the desired resolution
+would decrease to the order of tens of metres.
 
 \begin{figure}[hbt]
@@ -1096,8 +1099,8 @@
 The function returns the water displacement for all \code{x} and
 \code{y} in the domain. The water displacement is a double Gaussian
-function that depends on the characteristics of the slump (length,
-thickness, slope, etc), its location (origin) and the depth at that
-location.
-
+function that depends on the characteristics of the slide (length,
+width, thickness, slope, etc), its location (origin) and the depth at that
+location. For this example, we choose to apply the slide function 
+at a specified time into the simulation.
 
 \subsubsection{Friction}
@@ -1161,16 +1164,51 @@
 
 With the basics established, the running of the `evolve' step is
-very similar to the corresponding step in \file{runup.py}. Here,
-the simulation is run for five hours (10000 seconds) with
-the output stored every two minutes (120 seconds).
+very similar to the corresponding step in \file{runup.py}. For the slide
+scenario, 
+the simulation is run for 5000 seconds with the output stored every five seconds.
+For this example, we choose to apply the slide at 60 seconds into the simulation.
 
 {\small \begin{verbatim}
     import time t0 = time.time()
 
-    for t in domain.evolve(yieldstep = 120, duration = 10000):
-        print domain.timestepping_statistics()
-        print domain.boundary_statistics(tags = 'bottom')
-
-    print 'That took %.2f seconds' %(time.time()
+    
+    for t in domain.evolve(yieldstep = 5, finaltime = 60): 
+            domain.write_time()
+            domain.write_boundary_statistics(tags = 'ocean_east')     
+            
+        # add slide
+        thisstagestep = domain.get_quantity('stage')
+        if allclose(t, 60):
+            slide = Quantity(domain)
+            slide.set_values(tsunami_source)
+            domain.set_quantity('stage', slide + thisstagestep)
+    
+        # save every two mins leading up to wave approaching land
+        for t in domain.evolve(yieldstep = 5, finaltime = 5000, 
+                               skip_initial_step = True):
+            domain.write_time()
+        domain.write_boundary_statistics(tags = 'ocean_east')
+\end{verbatim}}
+
+For the fixed wave scenario, the simulation is run to 10000 seconds, 
+with the first half of the simulation stored at two minute intervals,
+and the second half of the simulation stored at ten second intervals.
+This functionality is especially convenient as it allows the detailed
+parts of the simulation to be viewed at higher time resolution.
+
+
+{\small \begin{verbatim}
+
+# save every two mins leading up to wave approaching land
+    for t in domain.evolve(yieldstep = 120, finaltime = 5000): 
+        domain.write_time()
+        domain.write_boundary_statistics(tags = 'ocean_east')     
+
+    # save every 30 secs as wave starts inundating ashore
+    for t in domain.evolve(yieldstep = 10, finaltime = 10000, 
+                           skip_initial_step = True):
+        domain.write_time()
+        domain.write_boundary_statistics(tags = 'ocean_east')
+        
 \end{verbatim}}
 
@@ -1180,4 +1218,32 @@
 As described earlier, the user may run animate to view a three-dimensional representation
 of the simulation.
+
+The user may also be interested in a maximum inundation map. This simply shows the
+maximum water depth over the domain and is achieved with the function sww2dem (described in 
+Section \label{sec:basicfileconversions}).
+\file{ExportResults.py} demonstrates how this function can be used:
+
+\verbatiminput{demos/cairns/ExportResults.py}
+
+The script generates an maximum water depth ASCII grid at a defined
+resolution (here 100 m$^2$) which can then be viewed in a GIS environment, for
+example. The parameters used in the function are defined in \file{project.py}.
+Figures \ref{fig:maxdepthcairnsslide} and \ref{fig:maxdepthcairnsfixedwave} show
+the maximum water depth within the defined region for the slide and fixed wave scenario 
+respectively.
+The user could develop a maximum absolute momentum or other expressions which can be
+derived from the quantities. 
+
+\begin{figure}[hbt]
+\centerline{\includegraphics[scale=0.5]{graphics/slidedepth.jpg}}
+\caption{Maximum inundation map for the Cairns side scenario.}
+\label{fig:maxdepthcairnsslide}
+\end{figure}
+
+\begin{figure}[hbt]
+\centerline{\includegraphics[scale=0.5]{graphics/fixedwavedepth.jpg}}
+\caption{Maximum inundation map for the Cairns fixed wave scenario.}
+\label{fig:maxdepthcairnsfixedwave}
+\end{figure}
 
 The user may also be interested in interrogating the solution at a particular spatial
@@ -1206,26 +1272,13 @@
 verbatiminput{demos/cairns/GetTimeseries.py}
 
-The user may also be interested in a maximum inundation map. This simply shows the
-maximum water depth over the domain and is achieved with the function sww2dem (described in 
-Section \label{sec:basicfileconversions}).
-\file{ExportResults.py} demonstrates how this function can be used:
-
-\verbatiminput{demos/cairns/ExportResults.py}
-
-Here, the maximum water depth is shown for the region defined in \file{project.py} and
-is shown in Figures \ref{fig:maxdepthcairnsslump} and \ref{fig:maxdepthcairnsfixedwave}.
-The user could develop a maximum absolute momentum or other expressions which can be
-derived from the quantities.
+Here, the time series for the quantities stage and speed will be generated for
+each gauge defined in the gauge file defined in file{\project.py}. As an example output,
+Figure \ref{fig:trinitybeach} shows the time series for the quantity stage for the
+Trinity Beach location.
 
 \begin{figure}[hbt]
 %\centerline{\includegraphics[scale=0.5]{graphics/}}
-\caption{Maximum inundation map for the Cairns slump scenario.}
-\label{fig:maxdepthcairnsslump}
-\end{figure}
-
-\begin{figure}[hbt]
-%\centerline{\includegraphics[scale=0.5]{graphics/}}
-\caption{Maximum inundation map for the Cairns fixed wave scenario.}
-\label{fig:maxdepthcairnsfixedwave}
+\caption{Time series information of the quantity stage for the Trinity Beach location.}
+\label{fig:trinitybeach}
 \end{figure}
 