Index: anuga_work/production/newcastle_2006/export_results.py
===================================================================
--- anuga_work/production/newcastle_2006/export_results.py	(revision 4072)
+++ anuga_work/production/newcastle_2006/export_results.py	(revision 4072)
@@ -0,0 +1,64 @@
+import project_slide, os
+import sys
+
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
+
+time_dir = '20061207_035946' 
+directory = project_slide.outputdir
+name = directory + time_dir + sep + project_slide.basename
+
+is_parallel = False
+if is_parallel == True: nodes = 4
+print 'output dir:', name
+
+which_var = 2
+if which_var == 0:  # Stage
+    outname = name + '_stage'
+    quantityname = 'stage'
+
+if which_var == 1:  # Absolute Momentum
+    outname = name + '_momentum_i1'
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
+
+if which_var == 2:  # Depth
+    outname = name + '_depth'
+    quantityname = 'stage-elevation'  
+
+if which_var == 3:  # Speed
+    outname = name + '_speed_i0'
+    #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed
+
+if which_var == 4:  # Elevation
+    outname = name + '_elevation'
+    quantityname = 'elevation'  #Elevation
+
+if is_parallel == True:
+    for i in range(0,nodes):
+        namei = name + '_P%d_%d' %(i,nodes)
+        outnamei = outname + '_P%d_%d' %(i,nodes)
+        print 'start sww2dem for sww file %d' %(i)
+        sww2dem(namei, basename_out = outnamei,
+                    quantity = quantityname,
+                    timestep = 1,
+                    cellsize = 100,      
+                    #easting_min = project.e_min_area,
+                    #easting_max = project.e_max_area,
+                    #northing_min = project.n_min_area,
+                    #northing_max = project.n_max_area,        
+                    reduction = max, 
+                    verbose = True,
+                    format = 'asc')
+else:
+    print 'start sww2dem'
+    sww2dem(name, basename_out = outname,
+                quantity = quantityname,
+                cellsize = 100,      
+                easting_min = project_slide.eastingmin,
+                easting_max = project_slide.eastingmax,
+                northing_min = project_slide.northingmin,
+                northing_max = project_slide.northingmax,        
+                reduction = max, 
+                verbose = True,
+                format = 'asc')
Index: anuga_work/production/newcastle_2006/project_slide.py
===================================================================
--- anuga_work/production/newcastle_2006/project_slide.py	(revision 4069)
+++ anuga_work/production/newcastle_2006/project_slide.py	(revision 4072)
@@ -78,5 +78,5 @@
 
 # bounding polygon for study area
-polyAll = read_polygon(polygondir+'extentC2.csv')
+polyAll = read_polygon(polygondir+'extentC3.csv')
 
 print 'Area of bounding polygon', polygon_area(polyAll)/1000000.0
@@ -107,8 +107,8 @@
 
 # exporting asc grid
-#eastingmin = 
-#eastingmax = 
-#northingmin = 
-#northingmax = 
+eastingmin = 366890
+eastingmax = 404270
+northingmin = 6335450
+northingmax = 6375630
 
 ###################################################################
Index: anuga_work/production/newcastle_2006/run_newcastle_slide.py
===================================================================
--- anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4069)
+++ anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4072)
@@ -103,5 +103,5 @@
           project_slide.polyAll,
            {'boundary_tags': {'e0': [0], 'e1': [1], 'e2': [2],
-                              'e3': [3], 'e4':[4]},
+                              'e3': [3], 'e4':[4], 'e5': [5]},
            'maximum_triangle_area': remainder_res,
            'filename': meshname,
@@ -161,5 +161,6 @@
 Bd = Dirichlet_boundary([tide,0,0])
 
-domain.set_boundary( {'e0': Bd,  'e1': Bd, 'e2': Bd, 'e3': Bd, 'e4': Bd} )
+domain.set_boundary( {'e0': Bd,  'e1': Bd, 'e2': Bd, 'e3': Bd,
+                      'e4': Bd, 'e5': Bd} )
 
 
Index: anuga_work/production/sydney_2006/export_results.py
===================================================================
--- anuga_work/production/sydney_2006/export_results.py	(revision 4069)
+++ anuga_work/production/sydney_2006/export_results.py	(revision 4072)
@@ -1,13 +1,17 @@
-import project, os
+import project_slide, os
+import sys
 
-from anuga.pyvolution.data_manager import sww2dem
-from anuga.pyvolution.ermapper_grids import read_ermapper_grid
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
 
-name = project.outputname
+time_dir = '20061206_061014' 
+directory = project_slide.outputdir
+name = directory + time_dir + sep + project_slide.basename
 
-#print 'Which variable do you want to export?'
-#which_var = int(raw_input('Stage = 0, Absolute Momentum = 1, Depth = 2, Speed = 3  '  ))
+is_parallel = False
+if is_parallel == True: nodes = 4
+print 'output dir:', name
+
 which_var = 2
-
 if which_var == 0:  # Stage
     outname = name + '_stage'
@@ -15,32 +19,46 @@
 
 if which_var == 1:  # Absolute Momentum
-    outname = name + '_momentum'
-    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  #Absolute momentum
+    outname = name + '_momentum_i1'
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
 
 if which_var == 2:  # Depth
     outname = name + '_depth'
-    quantityname = 'stage-elevation'  #Depth
+    quantityname = 'stage-elevation'  
 
 if which_var == 3:  # Speed
-    outname = name + '_speed'
+    outname = name + '_speed_i0'
     #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
-    #quantityname = 'xmomentum/(stage-elevation)'  #Speed
     quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed
 
-    
-sww2dem(name, basename_out = outname,
-            quantity = quantityname,
-            cellsize = 25,       # Trevor would like this at 25
-            # define region for viz purposes
-            easting_min = project.eminviz,
-            easting_max = project.emaxviz,
-            northing_min = project.nminviz,
-            northing_max = project.nmaxviz,        
-            reduction = max, #this is because we want max quantityname
-            verbose = True,
-            format = 'asc')
+if which_var == 4:  # Elevation
+    outname = name + '_elevation'
+    quantityname = 'elevation'  #Elevation
 
-#Check
-
-#data = read_ermapper_grid(name)
-#print 'Values from %s are in [%f, %f]' %(name, min(data.flat), max(data.flat))
+if is_parallel == True:
+    for i in range(0,nodes):
+        namei = name + '_P%d_%d' %(i,nodes)
+        outnamei = outname + '_P%d_%d' %(i,nodes)
+        print 'start sww2dem for sww file %d' %(i)
+        sww2dem(namei, basename_out = outnamei,
+                    quantity = quantityname,
+                    timestep = 1,
+                    cellsize = 100,      
+                    #easting_min = project.e_min_area,
+                    #easting_max = project.e_max_area,
+                    #northing_min = project.n_min_area,
+                    #northing_max = project.n_max_area,        
+                    reduction = max, 
+                    verbose = True,
+                    format = 'asc')
+else:
+    print 'start sww2dem'
+    sww2dem(name, basename_out = outname,
+                quantity = quantityname,
+                cellsize = 100,      
+                easting_min = project_slide.eastingmin,
+                easting_max = project_slide.eastingmax,
+                northing_min = project_slide.northingmin,
+                northing_max = project_slide.northingmax,        
+                reduction = max, 
+                verbose = True,
+                format = 'asc')
Index: anuga_work/production/sydney_2006/project_slide.py
===================================================================
--- anuga_work/production/sydney_2006/project_slide.py	(revision 4069)
+++ anuga_work/production/sydney_2006/project_slide.py	(revision 4072)
@@ -93,5 +93,5 @@
 
 # sydney digitized polygons
-poly_coast = read_polygon(polygondir+'coast.csv')
+poly_coast = read_polygon(polygondir+'coast2.csv')
 poly_syd1 = read_polygon(polygondir+'local.csv')
 
@@ -129,8 +129,8 @@
 
 # exporting asc grid
-#eastingmin = 
-#eastingmax = 
-#northingmin = 
-#northingmax = 
+eastingmin = 337500
+eastingmax = 344060
+northingmin = 6248890
+northingmax = 6274550
 
 ###################################################################
Index: anuga_work/production/sydney_2006/run_sydney_slide.py
===================================================================
--- anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4069)
+++ anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4072)
@@ -113,5 +113,5 @@
 
 from anuga.pmesh.mesh_interface import create_mesh_from_regions
-remainder_res = 150000.
+remainder_res = 250000.
 local_res = 50000.
 coast_res = 500.
Index: anuga_work/production/wollongong_2006/export_results.py
===================================================================
--- anuga_work/production/wollongong_2006/export_results.py	(revision 4072)
+++ anuga_work/production/wollongong_2006/export_results.py	(revision 4072)
@@ -0,0 +1,64 @@
+import project_slide, os
+import sys
+
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
+
+time_dir = '20061207_035950' 
+directory = project_slide.outputdir
+name = directory + time_dir + sep + project_slide.basename
+
+is_parallel = False
+if is_parallel == True: nodes = 4
+print 'output dir:', name
+
+which_var = 2
+if which_var == 0:  # Stage
+    outname = name + '_stage'
+    quantityname = 'stage'
+
+if which_var == 1:  # Absolute Momentum
+    outname = name + '_momentum_i1'
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
+
+if which_var == 2:  # Depth
+    outname = name + '_depth'
+    quantityname = 'stage-elevation'  
+
+if which_var == 3:  # Speed
+    outname = name + '_speed_i0'
+    #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed
+
+if which_var == 4:  # Elevation
+    outname = name + '_elevation'
+    quantityname = 'elevation'  #Elevation
+
+if is_parallel == True:
+    for i in range(0,nodes):
+        namei = name + '_P%d_%d' %(i,nodes)
+        outnamei = outname + '_P%d_%d' %(i,nodes)
+        print 'start sww2dem for sww file %d' %(i)
+        sww2dem(namei, basename_out = outnamei,
+                    quantity = quantityname,
+                    timestep = 1,
+                    cellsize = 100,      
+                    #easting_min = project.e_min_area,
+                    #easting_max = project.e_max_area,
+                    #northing_min = project.n_min_area,
+                    #northing_max = project.n_max_area,        
+                    reduction = max, 
+                    verbose = True,
+                    format = 'asc')
+else:
+    print 'start sww2dem'
+    sww2dem(name, basename_out = outname,
+                quantity = quantityname,
+                cellsize = 100,      
+                easting_min = project_slide.eastingmin,
+                easting_max = project_slide.eastingmax,
+                northing_min = project_slide.northingmin,
+                northing_max = project_slide.northingmax,        
+                reduction = max, 
+                verbose = True,
+                format = 'asc')
Index: anuga_work/production/wollongong_2006/project_slide.py
===================================================================
--- anuga_work/production/wollongong_2006/project_slide.py	(revision 4069)
+++ anuga_work/production/wollongong_2006/project_slide.py	(revision 4072)
@@ -87,6 +87,7 @@
 
 # areaA digitized polygons
-poly_local = read_polygon(polygondir+'local.csv')
-poly_gong = read_polygon(polygondir+'gong2.csv')
+poly_local = read_polygon(polygondir+'local2.csv')
+poly_gong = read_polygon(polygondir+'gong3.csv')
+poly_southgong = read_polygon(polygondir+'south_gong.csv')
 
 print 'Area of local polygon', polygon_area(poly_local)/1000000.0
@@ -106,8 +107,13 @@
 
 # exporting asc grid
-#eastingmin = 
-#eastingmax = 
-#northingmin = 
-#northingmax = 
+##eastingmin = 300000
+##eastingmax = 314000
+##northingmin = 6167680
+##northingmax = 6202130
+
+eastingmin = 300000
+eastingmax = 314000
+northingmin = 6167680
+northingmax = 6202130
 
 ###################################################################
Index: anuga_work/production/wollongong_2006/run_gong_slide.py
===================================================================
--- anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4069)
+++ anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4072)
@@ -100,5 +100,6 @@
 gong_res = 500
 interior_regions = [[project_slide.poly_local, local_res],
-                    [project_slide.poly_gong, gong_res]]
+                    [project_slide.poly_gong, gong_res],
+                    [project_slide.poly_southgong, gong_res]]
 
 from caching import cache