Index: /anuga_work/production/newcastle_2006/project_slide.py
===================================================================
--- /anuga_work/production/newcastle_2006/project_slide.py	(revision 4072)
+++ /anuga_work/production/newcastle_2006/project_slide.py	(revision 4073)
@@ -133,5 +133,5 @@
 shovel_width = 4350.0
 shovel_density = 1.49
-shove_slope = 4.0
+shovel_slope = 4.0
 shovel_alpha = 118.0 - 90.0
 
Index: /anuga_work/production/newcastle_2006/run_newcastle_slide.py
===================================================================
--- /anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4072)
+++ /anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4073)
@@ -143,12 +143,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.bulli_length,
-                               width=project_slide.bulli_width,
-                               depth=project_slide.bulli_depth,
-                               slope=project_slide.bulli_slope,
-                               thickness=project_slide.bulli_thickness, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
                                x0=project_slide.slide_origin_c[0], 
                                y0=project_slide.slide_origin_c[1], 
-                               alpha=project_slide.bulli_alpha, 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 
Index: /anuga_work/production/sydney_2006/export_results.py
===================================================================
--- /anuga_work/production/sydney_2006/export_results.py	(revision 4072)
+++ /anuga_work/production/sydney_2006/export_results.py	(revision 4073)
@@ -5,5 +5,5 @@
 from os import sep
 
-time_dir = '20061206_061014' 
+time_dir = '20061211_071516' 
 directory = project_slide.outputdir
 name = directory + time_dir + sep + project_slide.basename
@@ -55,5 +55,5 @@
     sww2dem(name, basename_out = outname,
                 quantity = quantityname,
-                cellsize = 100,      
+                cellsize = 20,      
                 easting_min = project_slide.eastingmin,
                 easting_max = project_slide.eastingmax,
Index: /anuga_work/production/sydney_2006/project_slide.py
===================================================================
--- /anuga_work/production/sydney_2006/project_slide.py	(revision 4072)
+++ /anuga_work/production/sydney_2006/project_slide.py	(revision 4073)
@@ -129,7 +129,7 @@
 
 # exporting asc grid
-eastingmin = 337500
-eastingmax = 344060
-northingmin = 6248890
+eastingmin = 333000
+eastingmax = 354000
+northingmin = 6244800
 northingmax = 6274550
 
@@ -155,5 +155,5 @@
 shovel_width = 4350.0
 shovel_density = 1.49
-shove_slope = 4.0
+shovel_slope = 4.0
 shovel_alpha = 118.0 - 90.0
 
Index: /anuga_work/production/sydney_2006/run_sydney_slide.py
===================================================================
--- /anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4072)
+++ /anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4073)
@@ -163,12 +163,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.bulli_length,
-                               width=project_slide.bulli_width,
-                               depth=project_slide.bulli_depth,
-                               slope=project_slide.bulli_slope,
-                               thickness=project_slide.bulli_thickness, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
                                x0=project_slide.slide_origin_b[0], 
                                y0=project_slide.slide_origin_b[1], 
-                               alpha=project_slide.bulli_alpha, 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 
Index: /anuga_work/production/wollongong_2006/export_results.py
===================================================================
--- /anuga_work/production/wollongong_2006/export_results.py	(revision 4072)
+++ /anuga_work/production/wollongong_2006/export_results.py	(revision 4073)
@@ -5,5 +5,5 @@
 from os import sep
 
-time_dir = '20061207_035950' 
+time_dir = '20061211_060105' 
 directory = project_slide.outputdir
 name = directory + time_dir + sep + project_slide.basename
@@ -55,5 +55,5 @@
     sww2dem(name, basename_out = outname,
                 quantity = quantityname,
-                cellsize = 100,      
+                cellsize = 20,      
                 easting_min = project_slide.eastingmin,
                 easting_max = project_slide.eastingmax,
Index: /anuga_work/production/wollongong_2006/project_slide.py
===================================================================
--- /anuga_work/production/wollongong_2006/project_slide.py	(revision 4072)
+++ /anuga_work/production/wollongong_2006/project_slide.py	(revision 4073)
@@ -138,5 +138,5 @@
 shovel_width = 4350.0
 shovel_density = 1.49
-shove_slope = 4.0
+shovel_slope = 4.0
 shovel_alpha = 118.0 - 90.0
 
Index: /anuga_work/production/wollongong_2006/run_gong_slide.py
===================================================================
--- /anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4072)
+++ /anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4073)
@@ -147,12 +147,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.bulli_length,
-                               width=project_slide.bulli_width,
-                               depth=project_slide.bulli_depth,
-                               slope=project_slide.bulli_slope,
-                               thickness=project_slide.bulli_thickness, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
                                x0=project_slide.slide_origin_a[0], 
                                y0=project_slide.slide_origin_a[1], 
-                               alpha=project_slide.bulli_alpha, 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 