Index: /anuga_work/production/sydney_2006/report/anuga_setup.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4089)
@@ -0,0 +1,141 @@
+The following information is required to undertake the 
+inundation modelling;
+
+\begin{itemize}
+\item onshore and offshore elevation data (topographic and bathymetric data, 
+see Section \ref{sec:data}),
+\item initial conditions, such as initial water levels (e.g. determined by tides),
+\item boundary conditions (the tsunami source as described in 
+Section \ref{sec:methodology}), and
+\item computational requirements relating to the mesh construction.
+\end{itemize}
+ 
+Here, we choose the inital tidal levels to be MSL, i.e. 0m AHD.
+The dynamics of
+tidal effects (that is, the changes in water height over time for
+the entire study area) are not currently modelled.
+
+To set up a model for the tsunami scenario, a study area is first determined. 
+The finite volume technique relies on the construction of a triangular mesh which covers the study region. 
+This mesh can be altered to suit the needs of the scenario in question. The mesh can be refined in areas of 
+interest, particularly in the coastal region where complex behaviour is likely to occur. For the purpose
+of this study, we will refine the mesh around the major population centres and adjoining coastlines.
+In setting up the model, the user defines the area of the triangular cells in each region of interest\footnote{Note that the cell 
+area will be the maximum cell area within the defined region and that each 
+cell in the region does not necessarily have the same area.}.
+
+Figures \ref{fig:regionA}, \ref{fig:regionB} and \ref{fig:regionC} show the study areas with regions
+of different cell areas for regions A, B and C
+respectively. The study areas have been defined where data
+is available. The total number of cells are 395403, 499816, 518362 and for regions A, B and C respectively. 
+Each study area approximately centres the slide origin and extends approximately 50 - 100 km east of each origin. Typically,
+the region  
+extends offshore to around the 3000-4000m depth contour with the onshore data covering the
+area of interest. Typical models do not extend to these depths, however, the extent has been increased
+to ensure the surface elevation function generated for the slide failure is captured in the domain.
+The study areas are approximately 19000 km$^2$, 10350 km$^2$ and 20900 km$^2$ 
+for regions A, B and C respectively.
+Lateral accuracy refers to the distance at which we are confident in stating a region is inundated. 
+Figures \ref{fig:regionA}, \ref{fig:regionB} and \ref{fig:regionC} show 
+the maximum triangular cell area and lateral accuracy for each region. 
+Therefore we can only be confident in the calculated inundation extent surrounding major populations centres to within 30 m.
+
+\begin{figure}[hbt]
+
+  %\centerline{ \includegraphics[scale=0.5]{../report_figures/regionA_model.jpg}}
+
+  \caption{Study area for region A highlighting four regions of increased refinement.
+Region 1: Surrounding major population centre of Wollongong with a cell area of 500 m$^2$ (lateral accuracy 30 m).
+Region 2: Surrounding Lake Illawarra (south of Wollongong) with a cell area of 500 m$^2$ (lateral accuracy 30 m).
+Region 3: Surrounds the coastal regions with a cell area of 25000 m$^2$ (lateral accuracy  m).
+Region 4: The remaining area is given a cell area of 1000000 m$^2$ (lateral accuracy  m).
+}
+  \label{fig:regionA}
+\end{figure}
+
+\begin{figure}[hbt]
+
+  %\centerline{ \includegraphics[scale=0.5]{../report_figures/regionB_model.jpg}}
+
+  \caption{Study area for region B highlighting four regions of increased refinement.
+Region 1: Surrounding the entrance to Sydney harbour, Northern Beaches and Botany Bay with a cell area of 500 m$^2$ (lateral accuracy 30 m).
+Region 2: Surrounding the coastal regions with a cell area of 50000 m$^2$ (lateral accuracy m).
+Region 3: The remaining area is given a cell area of 250000 m$^2$ (lateral accuracy m).
+}
+  \label{fig:regionB}
+\end{figure}
+
+\begin{figure}[hbt]
+
+  %\centerline{ \includegraphics[scale=0.5]{../report_figures/regionC_model.jpg}}
+
+  \caption{Study area for region C highlighting four regions of increased refinement.
+Region 1: Surrounding the major population centre of Newcastle with a cell area of 1000 m$^2$ (lateral accuracy m).
+Region 2: Surrounding the coastal regions with a cell area of 50000 m$^2$ (lateral accuracy  m).
+Region 3: The remaining area is given a cell area of 500000 m$^2$ (lateral accuracy  m).
+}
+  \label{fig:regionC}
+\end{figure}
+
+The final item to be addressed to complete the model setup is the 
+definition of the boundary condition. As 
+discussed in Section \ref{sec:methodology}, a Mw 9 event provides
+the tsunami source. The resultant tsunami wave is made up of a series
+of waves with different amplitudes which is affected by the energy
+and style of the event as well as the bathymetry whilst it travels
+from its source to Dampier. The amplitude and velocity of each of these
+waves are then provided to ANUGA as boundary conditions and propagated
+inshore.
+
+Sea floor friction will generally provide resistance to the water flow
+and thus reduce the impact somewhat. However, limited
+research has been carried out to determine 
+the friction coefficients, and 
+thus it has not been incorporated
+in the scenario. The 
+results are therefore likely to be over estimates.
+
+The following table summarises the modelling parameters;
+
+
+\begin{table}
+\begin{center}
+
+\caption{Parameters used in ANUGA for the the submarine mass failure scenarios in Region A.}
+\begin{tabular}{|l|l|l|}\hline
+Mesh & & \hline
+& resolution in Region 1 & 500 m$^2$ \hline
+& resolution in Region 2 & 2000 m$^2$ \hline
+& resolution in Region 3 & 2000 m$^2$ \hline
+& remaining resolution & 100 000 m$^2$ \hline
+Model parameters & & \hline
+& friction & 0
+& minimum stored height & 0.1 m \hline
+\end{tabular}
+
+\caption{Parameters used in ANUGA for the the submarine mass failure scenarios in Region B.}
+\begin{tabular}{|l|l|l|}\hline
+Mesh & & \hline
+& resolution in Region 1 & 500 m$^2$ \hline
+& resolution in Region 2 & 2000 m$^2$ \hline
+& resolution in Region 3 & 2000 m$^2$ \hline
+& remaining resolution & 100 000 m$^2$ \hline
+Model parameters & & \hline
+& friction & 0
+& minimum stored height & 0.1 m \hline
+\end{tabular}
+
+\caption{Parameters used in ANUGA for the the submarine mass failure scenarios in Region C.}
+\begin{tabular}{|l|l|l|}\hline
+Mesh & & \hline
+& resolution in Region 1 & 500 m$^2$ \hline
+& resolution in Region 2 & 2000 m$^2$ \hline
+& resolution in Region 3 & 2000 m$^2$ \hline
+& remaining resolution & 100 000 m$^2$ \hline
+Model parameters & & \hline
+& friction & 0
+& minimum stored height & 0.1 m \hline
+\end{tabular}
+
+\end{center}
+\end{table}
Index: /anuga_work/production/sydney_2006/report/bulli_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_A_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/bulli_A_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliA.jpg}} 
+\caption{Maximum inundation map for the Bulli slide in region A. Data: NSW DLI and AHO.}  
+\label{fig:bulliA}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/bulli_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_B_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/bulli_B_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliB.jpg}} 
+\caption{Maximum inundation map for the Bulli slide in region B. Data: NSW DLI and AHO.}  
+\label{fig:bulliB}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/bulli_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_C_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/bulli_C_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliC.jpg}} 
+\caption{Maximum inundation map for the Bulli slide in region C. Data: NSW DLI and AHO.}  
+\label{fig:bulliC}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/data.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/data.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/data.tex	(revision 4089)
@@ -0,0 +1,47 @@
+The calculated run-up height and resulting inundation ashore is controlled by
+the input topographic and bathymetric elevation, the
+initial and boundary conditions, as well as the cell area of the computational
+mesh. 
+Ideally, the topographic and bathymetric data
+should adequately capture all complex features
+of the underlying bathymetry and topography. Any limitations
+in the resolution and accuracy of the data will introduce 
+errors to the inundation maps, in addition to the range of approximations
+made within the model.
+
+In this study, we used the Australian Height Datum (AHD)
+as the vertical datum with Mean Sea Level (MSL) approximately equal to
+0m AHD \cite{antt:06}. 
+
+A 100m DEM for NSW has recently been built by Krishna 
+Nadimpalli (in 2005 for the Catastrophic Disasters Working Group). 
+NSW DLI supplied a 25m onshore DEM authorised for use within GA for
+and State and Federal Government purposes. Available bathymetric data
+held within GA at that time was then used to construct a seamless 100m
+DEM for the NSW region (Jervis Bay to Forster). A 10m DEM was built
+for Wollongong for the Catastrophic Disasters Working Group project and
+a 25m DEM for Sydney was built for the Benfields project in early 2006.
+These higher resolution data sets were used when available, with the remainder
+of the regions supplemented with the 100m DEM.
+
+With respect to the offshore data, newly acquire data from the recent
+NSW Continental Slope Survey has been used, in addition to fairsheet data
+from the Australian Hydrographic Office (AHO). As with the onshore data, 
+the recent survey data has been supplemented with the 100m DEM (which was built
+from available AHO data). Figure \ref{fig:nswdata} shows the available bathymetric
+data with onshore data available from Jervis Bay to Forster.
+
+% for future work, the coastline from Colin French will be used
+ 
+
+
+\begin{figure}[p]
+\center{(a)}
+  \centerline{ \includegraphics[width=150mm, height=100mm]{../report_figures/NSWdata.jpg}}
+
+  \caption{NSW region highlighting the available bathymetric data.}
+ \label{fig:nswdata}
+\end{figure}
+
+\pagebreak
+
Index: /anuga_work/production/sydney_2006/report/execsum.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/execsum.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/execsum.tex	(revision 4089)
@@ -0,0 +1,16 @@
+This report is being provided to the Australian Tsunami Warning System Project by the 
+Risk Assessment Methods Project (RAMP). The purpose of this
+study is to determine the potential tsunami inundation extent generated
+from a range of historical and potential submarine mass failures off 
+the NSW coast.
+
+This report describes the modelling methodology (Section \ref{sec:methodology}),
+data inputs (Section \ref{sec:data})
+and results (Section \ref{sec:results})
+for submarine mass failures based on results from the October 2006 Continental
+Slope Survey. In particular, three slides are modelled in three regions; 
+Wollongong, Sydney and Newcastle. One of these slides represents a historical event
+and the remainder represent potential slide scenarios.
+
+
+
Index: /anuga_work/production/sydney_2006/report/interpretation.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4089)
@@ -0,0 +1,47 @@
+
+The purpose of this section is show the maximum inundation map for each
+slide scenario for region A, B and C. The Bulli slide is considered to
+have occurred with the Shovel and Yacaaba considered as potential slides.
+The modelling effectively describes the output as a function of slide
+volume with Bulli the largest. The outputs should thus be interpretted
+as potential outputs with the Bulli volume occurring in region A as the 
+only to have occurred. This event may be used in paleo-tsunami 
+investigations due to occur in early 2007. The remaining events may
+then be used to described the potential tsunami inundation for slides 
+of varied volume.
+
+\begin{table}
+\begin{center}
+
+\caption{Parameters used in ANUGA for the the submarine mass failure scenarios.}
+\begin{tabular}{|l|l|l|l|}\hline
+Parameter & Bulli & Shovel & Yacaaba \hline
+Length & 16840m & 13500m & 7050m \hline
+Width & 8860m  & 4350m & 3080m \hline
+Thickness & 424m & 165m & 144m \hline
+Density & 1.46 & 1.49 & 1.48 \hline
+Water depth to centre of mass & 2087m & 968m & 1119m \hline
+Bathymetric slope & 4 \degree & 4 \degree & 3 \degree \hline
+Angular orientation & 126 \degree & 118 \degree & 133 \degree \hline
+\end{tabular}
+
+\end{center}
+\end{table}
+
+Figures \ref{fig:bulliA}, \ref{fig:bulliB} and \ref{fig:bulliC}
+describe the inundation extent to regions A, B and C respectively
+for the Bulli volume. Similarly, Figures \ref{fig:shovelA}, \ref{fig:shovelB}
+and \ref{fig:shovelC} describe the inundation extent for the Shovel
+volume with Figures \ref{fig:yacaabaA}, \ref{fig:yacaabaB} and 
+\ref{fig:yacaabaC} describing the inundation extent for the Yacaaba volume.
+It is immediately apparent that there is little difference in the
+inundation extents between the Bulli and Shovel slide volumes.  The reason
+for this may possibly be explained in Figure \ref{fig:depthvsamp}. Here, the 
+characteristic three dimensional 
+amplitude is determined as a function of depth for each
+slide volume (see Appendix \ref{sec:smfmodel}. 
+The location of each specific slide is marked on its
+corresponding volume. 
+As Figure \ref{fig:depthvsamp} shows, even though the Bulli and Shovel
+slides are considered to occur in different depths of water, the
+resultant amplitude are approximately equal.
Index: /anuga_work/production/sydney_2006/report/modelling_methodology.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/modelling_methodology.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/modelling_methodology.tex	(revision 4089)
@@ -0,0 +1,39 @@
+
+The Risk Research Group aims to define the economic and social threat posed to urban communities 
+by a range of rapid onset natural hazards. Through the integration of natural hazard research, defining national exposure and 
+estimating socio-economic vulnerabilities, predictions of the likely impacts of events can be made. 
+By modelling the likely impacts on urban communities as accurately as possible and
+building these estimates into land use planning and emergency
+management, communities will be better prepared to respond to
+natural disasters when they occur.
+
+
+%GA bases its risk modelling on the process of understanding the hazard and a community's 
+%vulnerability in order to determine the impact of a particular hazard event. 
+%The resultant risk relies on an assessment of the likelihood of the event. 
+%An overall risk assessment for a particular hazard would then rely on scaling 
+%each event's impact by its likelihood.
+
+To develop a tsunami risk assessment, 
+the tsunami hazard itself must first be understood.
+The scenarios discussed in this report are generated by submarine mass failures as opposed
+to subduction zone earthquakes and are
+therefore modelled differently. By contrast to tsunamis generated from subduction zones, the submarine 
+mass failures modelled here occur much closer to the Australian coastline and do not require a 
+separate model for the deep water propagation. Here, we choose to model the submarine mass failure
+according to the work by Grilli and Watts which provides an inital surface elevation function
+which can then be propagated ashore. 
+
+To capture the \emph{impact} of a tsunami to a coastal community, we use ANUGA \cite{ON:modsim}.
+This model is dependent on quality local bathymetric and topographic data as it is well
+known that the effects of the local data is critical in determining 
+the severity of a hydrological disaster \cite{matsuyama:1999}. 
+In modelling terms, we apply the Grilli and Watts model as an initial condition for ANUGA. 
+Further details
+regarding the modelling requirements for this study can be found in 
+Appendix \ref{sec:anugasetup}.
+
+To conduct a risk assessment, the likelihood of the event must be known. Without this information,
+the inundation extents can only be viewed only as potential. 
+
+ 
Index: /anuga_work/production/sydney_2006/report/references.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/references.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/references.tex	(revision 4089)
@@ -0,0 +1,20 @@
+\begin{thebibliography}{99}
+
+\bibitem{matsuyama:1999}
+Matsuyama, M., Walsh, J.P. and Yeh, H. (1999) 
+The effect of bathymetry on tsunami characteristics at 
+Sisano Lagoon, Papua New Guinea. 
+Geophysical Research Letters, 26, 23, 3513-3516.
+
+\bibitem{ON:modsim} Nielsen, O., Roberts, Gray, D., McPherson, A. and 
+Hitchman, A (2005) 
+Hydrodynamic modelling of coastal inundation, MODSIM 2005 International 
+Congress on Modelling and Simulation.
+Modelling and Simulation Society of Australian and New Zealand, 518-523,
+URL: http://www.mssanz.org.au/modsim05/papers/nielsen.pdf
+
+\bibitem{antt:06} Australian National Tide Tables 2006:
+Australia, Papua New Guinea, Solomon Islands and Antarctica and East Timor.
+Australian Hydrographic Publication 11, Australian Hydrographic Service.
+
+\end{thebibliography}
Index: /anuga_work/production/sydney_2006/report/shovel_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_A_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/shovel_A_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelA.jpg}} 
+\caption{Maximum inundation map for the Shovel slide in region A. Data: NSW DLI and AHO.}  
+\label{fig:shovelA}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/shovel_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_B_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/shovel_B_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelB.jpg}} 
+\caption{Maximum inundation map for the Shovel slide in region B. Data: NSW DLI and AHO.}  
+\label{fig:shovelB}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/shovel_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_C_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/shovel_C_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelC.jpg}} 
+\caption{Maximum inundation map for the Shovel slide in region C. Data: NSW DLI and AHO.}  
+\label{fig:shovelC}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/smfmodel.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/smfmodel.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/smfmodel.tex	(revision 4089)
@@ -0,0 +1,59 @@
+Slide nomenclature
+
+\begin{table}
+\begin{center}
+\begin{tabular}{|l|l}\hline
+Variable name & Quantity \hline
+$b$ & length \hline
+$w$ & width \hline
+$T$ & thickness \hline
+$\gamma$ & density \hline
+$d$ & water depth to centre of mass
+$\theta$ & bathymetric slope\hline
+$\psi$ & angular orientaion \hline
+$C_d$ & drag coefficient \hline
+$C_m$ & added mass coefficient \hline
+\end{tabular}
+\end{table}
+\end{center}
+
+The following relationships are used to derive parameters describing a slide 
+submarine mass failure:
+
+characteristic time of motion
+
+$$t_0 = \frac{u_t}{a_0}$$
+
+initial acceleration
+
+$$a_0 = g \sin \theta (\frac{gamma-1}{gamma + C_m}) (1 - \frac{\tan \psi}{\tan \theta})$$
+
+theoretical terminal velocity
+
+$$u_t = \sqrt{gd} \sqrt{ \frac{b \sin \theta}{d} \frac{\pi (\gamma-1)}{2 C_d}
+(1 - \frac{\tan \psi}{\tan \theta}) }$$
+
+characteristic distance of motion
+
+$$s_0 = \frac{u_t^2}{a_0}$$
+
+From these parameters, further parameters are derived which describe the water displacement produced by the slide:
+
+characteristic tsunami wavelength
+
+$$\lambda_0 = t_0 \sqrt{gd}$$
+
+characteristic two dimensional amplitude
+
+$$\eta_{0,2D} = s_0 (0.0574 - 0.0431 sin \theta) (\frac{T}{b})
+(\frac{b \sin \theta}{d})^1.25 (1 - \exp(-2.2(\gamma-1) ) ) $$
+
+characteristic three dimensional amplitude
+
+$$\eta_{0,3D} = \frac{\eta_{0,2D}}{1 + 15.5 \sqrt{ \frac{d}{b sin \theta} } $$
+
+Assuming a double Gaussian relationship in the $x$ direction (tsunami length) and a $\sech^2$ 
+relationship in the $y$ direction (tsunami width), the initial water displacement for a slide may be represented by
+
+$$\eta(x,y) = \eta_{0,3D} \frac{ (\exp(-(\frac{x-x_0}{\lambda_0})^2) - 
+\kappa \exp(-(\frac{x-\delta x - x_0}{\lambda_0})^2))}{cosh^2(\kappa\frac{y-y_0}{w+\lambda_0})}$$
Index: /anuga_work/production/sydney_2006/report/summary.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/summary.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/summary.tex	(revision 4089)
@@ -0,0 +1,6 @@
+This report has described the tsunami inundation occurring at Wollongong,
+Sydney and Newcastle for a range of different slides 
+occurring at Mean Sea Level. 
+The results described must be tempered with the modelling assumptions 
+and the accuracy and coverage of the underlying elevation data.
+
Index: /anuga_work/production/sydney_2006/report/sydney_2006_report.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4089)
@@ -0,0 +1,127 @@
+
+% This is based on an automatically generated file (by make_report.py).
+%
+% Manual parts are:
+% * an abstract must be written in abstract.tex
+% * an introduction must be written in introduction.tex; a basic outline and
+%   some of the core inputs are already in place
+% * outline of the modelling methodology provided in modelling_methodology.tex
+% * the tsunami-genic event should be discussed in tsunami_scenario.tex
+% * an computational_setup.tex file needs to be written for the particular scenario
+% * the interpretation of the results needs to be written to interpretation.tex
+% * maximum inundation maps need to be included in HAT_map.tex and LAT_map.tex etc.
+% * damage modelling maps need to be included in HAT_damage and LAT_damage etc.
+% * a summary must be written into summary.tex
+% * metadata for the scenario data to be included in metadata.tex
+
+\documentclass{article}
+
+\usepackage{ae} % or {zefonts}
+\usepackage[T1]{fontenc}
+\usepackage[ansinew]{inputenc}
+\usepackage{amsmath}
+\usepackage{amssymb}
+\usepackage{graphicx}
+\usepackage{color}
+\usepackage[colorlinks]{hyperref}
+\usepackage{lscape} %landcape pages support
+\usepackage{setspace}
+\usepackage{rotating}
+\usepackage{pdfpages}
+\include{appendix}
+\setstretch{1.25}
+\topmargin 0pt
+\oddsidemargin 0pt
+\evensidemargin 0pt
+\marginparwidth 0.5pt
+\textwidth \paperwidth
+\advance\textwidth -2in
+\newcommand{\degree}{\ensuremath{^\circ}} 
+
+\date{\today}
+%\author{Geoscience Australia}
+
+\begin{document}
+\title{
+\begin{figure}[hbt]
+  \centerline{ \includegraphics[scale=0.4]{../report_figures/GAlogo.jpg}}
+\end{figure}
+Tsunami inundation modelling for the NSW coastline: Generation by Submarine Mass Failures} 
+  \maketitle
+
+    \section{Executive Summary}
+    \label{sec:execsum}
+  \input{execsum}
+
+  \tableofcontents
+  
+   \section{Modelling methodology}
+    \label{sec:methodology}
+    \input{modelling_methodology}
+
+  \section{Data sources}
+    \label{sec:data}
+    \input{data}
+        
+  \section{Inundation modelling results}
+     \label{sec:results}
+         
+\input{interpretation} 
+\input{bulli_C_map} 
+ \clearpage 
+ 
+\input{shovel_A_map} 
+ \clearpage 
+ 
+\input{shovel_C_map} 
+ \clearpage 
+ 
+\input{yacaaba_B_map} 
+ \clearpage 
+ 
+\input{shovel_B_map} 
+ \clearpage 
+ 
+\input{bulli_B_map} 
+ \clearpage 
+ 
+\input{yacaaba_C_map} 
+ \clearpage 
+ 
+\input{yacaaba_A_map} 
+ \clearpage 
+ 
+\input{bulli_A_map} 
+ \clearpage 
+ 
+
+
+     \section{Summary}
+     \label{sec:summary}
+     \input{summary}
+
+     %\section{Acknowledgements}
+     %\input{acknowledgements}
+     
+    \input{references}
+
+    \appendix
+    
+   \section{Metadata}
+     \label{sec:metadata}
+     \input{metadata}
+     
+\section{ANUGA modelling parameters}
+\label{sec:anugasetup}
+\input{anuga_setup}
+
+\section{Submarine Mass Failure Model}
+\label{sec:smfmodel}
+\input{smfmodel}
+
+\clearpage
+
+   \section{Time series}
+     \label{sec:timeseries}
+
+\end{document}
Index: /anuga_work/production/sydney_2006/report/yacaaba_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_A_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/yacaaba_A_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaA.jpg}} 
+\caption{Maximum inundation map for the Yacaaba slide in region A. Data: NSW DLI and AHO.}  
+\label{fig:yacaabaA}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/yacaaba_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_B_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/yacaaba_B_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaB.jpg}} 
+\caption{Maximum inundation map for the Yacaaba slide in region B. Data: NSW DLI and AHO.}  
+\label{fig:yacaabaB}
+%\end{sidewaysfigure}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/yacaaba_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_C_map.tex	(revision 4089)
+++ /anuga_work/production/sydney_2006/report/yacaaba_C_map.tex	(revision 4089)
@@ -0,0 +1,8 @@
+%\begin{sidewaysfigure}
+
+\begin{figure}
+\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaC.jpg}} 
+\caption{Maximum inundation map for the Yacaaba slide in region C. Data: NSW DLI and AHO.}  
+\label{fig:yacaabaC}
+%\end{sidewaysfigure}
+\end{figure}