Index: /anuga_work/production/sydney_2006/report/data.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/data.tex	(revision 4095)
+++ /anuga_work/production/sydney_2006/report/data.tex	(revision 4096)
@@ -25,5 +25,5 @@
 of the regions supplemented with the 100m DEM.
 
-With respect to the offshore data, newly acquire data from the recent
+With respect to the offshore data, newly acquired data from the recent
 NSW Continental Slope Survey has been used, in addition to fairsheet data
 from the Australian Hydrographic Office (AHO). As with the onshore data, 
@@ -37,5 +37,5 @@
 
 \begin{figure}[p]
-  \centerline{ \includegraphics{../report_figures/NSWData.jpg}}
+  \centerline{ \includegraphics[scale=0.5]{../report_figures/NSWData.jpg}}
 
   \caption{NSW region highlighting the available bathymetric data.}
Index: /anuga_work/production/sydney_2006/report/interpretation.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4095)
+++ /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4096)
@@ -16,10 +16,10 @@
 \caption{Parameters used in ANUGA for the the submarine mass failure scenarios.}
 \begin{tabular}{|l|l|l|l|}\hline
-Parameter & Bulli & Shovel & Yacaaba \\ \hline
-Length & 16840m & 13500m & 7050m \\ \hline
-Width & 8860m  & 4350m & 3080m \\ \hline
-Thickness & 424m & 165m & 144m \\ \hline
+{\bf Parameter} & {\bf Bulli} & {\bf Shovel} & {\bf Yacaaba }\\ \hline
+Length & 16840 m & 13500 m & 7050 m \\ \hline
+Width & 8860 m  & 4350 m & 3080 m \\ \hline
+Thickness & 424 m & 165 m & 144 m \\ \hline
 Density & 1.46 & 1.49 & 1.48 \\ \hline
-Water depth to centre of mass & 2087m & 968m & 1119m \\ \hline
+Water depth to centre of mass & 2087 m & 968 m & 1119 m \\ \hline
 Bathymetric slope & 4 \degree & 4 \degree & 3 \degree \\ \hline
 Angular orientation & 126 \degree & 118 \degree & 133 \degree \\ \hline
@@ -28,4 +28,9 @@
 \end{center}
 \end{table}
+
+The modelling has considered three separate regions based on the location
+of the potential slide failures. The regions A, B and C refer
+to Wollongong, Sydney and Newcastle. See Appendix \ref{sec:anugasetup}
+for the extent of each region.
 
 Figures \ref{fig:bulliA}, \ref{fig:bulliB} and \ref{fig:bulliC}
@@ -46,2 +51,9 @@
 slides are considered to occur in different depths of water, the
 resultant amplitude are approximately equal.
+
+\begin{figure}
+\centerline{\includegraphics{../report_figures/depth_vs_amp_dataslide.jpg}}
+\caption{Relationship between characteristic 3D amplitude and depth
+for each slide volume.}
+\label{fig:depthvsamp}
+\end{figure}
Index: /anuga_work/production/sydney_2006/report/modelling_methodology.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/modelling_methodology.tex	(revision 4095)
+++ /anuga_work/production/sydney_2006/report/modelling_methodology.tex	(revision 4096)
@@ -40,5 +40,5 @@
 
 To conduct a risk assessment, the likelihood of the event must be known. Without this information,
-the inundation extents can only be viewed only as potential. 
+the inundation extents can be viewed only as potential. 
 
  
Index: /anuga_work/production/sydney_2006/report/smfmodel.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/smfmodel.tex	(revision 4095)
+++ /anuga_work/production/sydney_2006/report/smfmodel.tex	(revision 4096)
@@ -15,6 +15,6 @@
 $C_m$ & added mass coefficient \\ \hline
 \end{tabular}
+\end{center}
 \end{table}
-\end{center}
 
 The following relationships are used to derive parameters describing a slide 
@@ -51,5 +51,5 @@
 characteristic three dimensional amplitude
 
-$$\eta_{0,3D} = \frac{\eta_{0,2D}}{1 + 15.5 \sqrt{ \frac{d}{b sin \theta} } $$
+$$\eta_{0,3D} = \frac{\eta_{0,2D}}{1 + 15.5 \sqrt{ \frac{d}{b sin \theta}}} $$
 
 Assuming a double Gaussian relationship in the $x$ direction (tsunami length) and a $\sech^2$ 
@@ -57,3 +57,3 @@
 
 $$\eta(x,y) = \eta_{0,3D} \frac{ (\exp(-(\frac{x-x_0}{\lambda_0})^2) - 
-\kappa \exp(-(\frac{x-\delta x - x_0}{\lambda_0})^2))}{cosh^2(\kappa\frac{y-y_0}{w+\lambda_0})}$$
+\kappa \exp(-(\frac{x-\delta x - x_0}{\lambda_0})^2))}{\cosh^2(\kappa\frac{y-y_0}{w+\lambda_0})}$$
Index: /anuga_work/production/sydney_2006/report/sydney_2006_report.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4095)
+++ /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4096)
@@ -38,4 +38,5 @@
 \advance\textwidth -2in
 \newcommand{\degree}{\ensuremath{^\circ}} 
+\newcommand{\sech}{\operatorname{sech}}
 
 \date{\today}
@@ -108,7 +109,7 @@
     \appendix
     
-   \section{Metadata}
-     \label{sec:metadata}
-     \input{metadata}
+%   \section{Metadata}
+%     \label{sec:metadata}
+%     \input{metadata}
      
 \section{ANUGA modelling parameters}