Index: /anuga_work/production/sydney_2006/report/anuga_setup.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4105)
@@ -98,5 +98,5 @@
 
 
-\begin{table}
+\begin{table}[h]
 \begin{center}
 
Index: /anuga_work/production/sydney_2006/report/bulli_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_A_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/bulli_A_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliA.jpg}} 
-\caption{Maximum inundation map for the Bulli slide in region A. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliA.jpg}} 
+\caption{Maximum inundation map for the Bulli slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliA}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/bulli_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_B_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/bulli_B_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliB.jpg}} 
-\caption{Maximum inundation map for the Bulli slide in region B. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliB.jpg}} 
+\caption{Maximum inundation map for the Bulli slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliB}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/bulli_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_C_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/bulli_C_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliC.jpg}} 
-\caption{Maximum inundation map for the Bulli slide in region C. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/bulliC.jpg}} 
+\caption{Maximum inundation map for the Bulli slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliC}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/data.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/data.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/data.tex	(revision 4105)
@@ -16,5 +16,5 @@
 A 100m DEM for NSW has recently been built by Krishna 
 Nadimpalli (in 2005 for the Catastrophic Disasters Working Group). 
-NSW DLI supplied a 25m onshore DEM authorised for use within GA for
+NSW Department of Lands supplied a 25m onshore DEM authorised for use within GA for
 and State and Federal Government purposes. Available bathymetric data
 held within GA at that time was then used to construct a seamless 100m
Index: /anuga_work/production/sydney_2006/report/interpretation.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4105)
@@ -1,2 +1,14 @@
+
+The modelling has considered three separate regions based on the location
+of the potential slide failures. The regions A, B and C refer
+to Wollongong, Sydney and Newcastle. Figure \ref{fig:overallmodel} shows
+each model with respect to each other, with Appendix \ref{sec:anugasetup}
+showing the detail for each study region.
+
+\begin{figure}
+\centerline{\includegraphics[scale=0.4]{../report_figures/overallmodel.jpg}}
+\caption{NSW region showing the location of each study region.}
+\label{fig:overallmodel}
+\end{figure}
 
 The purpose of this section is show the maximum inundation map for each
@@ -11,5 +23,5 @@
 of varied volume.
 
-\begin{table}
+\begin{table}[h]
 \begin{center}
 
@@ -17,11 +29,11 @@
 \begin{tabular}{|l|l|l|l|}\hline
 {\bf Parameter} & {\bf Bulli} & {\bf Shovel} & {\bf Yacaaba }\\ \hline
-Length & 16840 m & 13500 m & 7050 m \\ \hline
-Width & 8860 m  & 4350 m & 3080 m \\ \hline
-Thickness & 424 m & 165 m & 144 m \\ \hline
-Density & 1.46 & 1.49 & 1.48 \\ \hline
-Water depth to centre of mass & 2087 m & 968 m & 1119 m \\ \hline
-Bathymetric slope & 4 \degree & 4 \degree & 3 \degree \\ \hline
-Angular orientation & 126 \degree & 118 \degree & 133 \degree \\ \hline
+Length (m) & 16840  & 13500  & 7050  \\ \hline
+Width (m) & 8860   & 4350  & 3080  \\ \hline
+Thickness (m) & 424  & 165  & 144  \\ \hline
+Density g m$^{-3}$ & 1.46  & 1.49  & 1.48  \\ \hline
+Water depth to centre of mass (m) & 2087  & 968  & 1119  \\ \hline
+Bathymetric slope (\degree) & 4  & 4  & 3  \\ \hline
+Angular orientation (\degree) & 126 & 118  & 133  \\ \hline
 \end{tabular}
 
@@ -29,8 +41,5 @@
 \end{table}
 
-The modelling has considered three separate regions based on the location
-of the potential slide failures. The regions A, B and C refer
-to Wollongong, Sydney and Newcastle. See Appendix \ref{sec:anugasetup}
-for the extent of each region.
+
 
 Figures \ref{fig:bulliA}, \ref{fig:bulliB} and \ref{fig:bulliC}
@@ -45,6 +54,6 @@
 characteristic three dimensional 
 amplitude is determined as a function of depth for each
-slide volume (see Appendix \ref{sec:smfmodel}. 
-The location of each specific slide is marked on its
+slide volume (see Appendix \ref{sec:smfmodel} for details) 
+with the location of each specific slide marked on its
 corresponding volume. 
 As Figure \ref{fig:depthvsamp} shows, even though the Bulli and Shovel
@@ -53,5 +62,5 @@
 
 \begin{figure}
-\centerline{\includegraphics{../report_figures/depth_vs_amp_dataslide.jpg}}
+\centerline{\includegraphics[scale=0.4]{../report_figures/depthvsampdataslide.png}}
 \caption{Relationship between characteristic 3D amplitude and depth
 for each slide volume.}
Index: /anuga_work/production/sydney_2006/report/shovel_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_A_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/shovel_A_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelA.jpg}} 
-\caption{Maximum inundation map for the Shovel slide in region A. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelA.jpg}} 
+\caption{Maximum inundation map for the Shovel slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelA}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/shovel_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_B_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/shovel_B_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelB.jpg}} 
-\caption{Maximum inundation map for the Shovel slide in region B. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelB.jpg}} 
+\caption{Maximum inundation map for the Shovel slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelB}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/shovel_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_C_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/shovel_C_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelC.jpg}} 
-\caption{Maximum inundation map for the Shovel slide in region C. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/shovelC.jpg}} 
+\caption{Maximum inundation map for the Shovel slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelC}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/smfmodel.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/smfmodel.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/smfmodel.tex	(revision 4105)
@@ -1,6 +1,5 @@
-
-
-\begin{table}
+\begin{table}[h]
 \begin{center}
+\caption{Variables used in slide submarine mass failure model.}
 \begin{tabular}{|l|l|}\hline
 Variable name & Quantity \\ \hline
@@ -27,5 +26,5 @@
 initial acceleration
 
-$$a_0 = g \sin \theta (\frac{gamma-1}{gamma + C_m}) (1 - \frac{\tan \psi}{\tan \theta})$$
+$$a_0 = g \sin \theta (\frac{\gamma-1}{\gamma + C_m}) (1 - \frac{\tan \psi}{\tan \theta})$$
 
 theoretical terminal velocity
@@ -40,4 +39,5 @@
 From these parameters, further parameters are derived which describe the water displacement produced by the slide:
 
+
 characteristic tsunami wavelength
 
@@ -46,10 +46,10 @@
 characteristic two dimensional amplitude
 
-$$\eta_{0,2D} = s_0 (0.0574 - 0.0431 sin \theta) (\frac{T}{b})
-(\frac{b \sin \theta}{d})^1.25 (1 - \exp(-2.2(\gamma-1) ) ) $$
+$$\eta_{0,2D} = s_0 (0.0574 - 0.0431 \sin \theta) (\frac{T}{b})
+(\frac{b \sin \theta}{d})^{1.25} (1 - \exp(-2.2(\gamma-1) ) ) $$
 
 characteristic three dimensional amplitude
 
-$$\eta_{0,3D} = \frac{\eta_{0,2D}}{1 + 15.5 \sqrt{ \frac{d}{b sin \theta}}} $$
+$$\eta_{0,3D} = \frac{\eta_{0,2D}}{1 + 15.5 \sqrt{ \frac{d}{b \sin \theta}}} $$
 
 Assuming a double Gaussian relationship in the $x$ direction (tsunami length) and a $\sech^2$ 
Index: /anuga_work/production/sydney_2006/report/sydney_2006_report.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4105)
@@ -117,4 +117,6 @@
 \input{anuga_setup}
 
+\clearpage
+
 \section{Submarine Mass Failure Model}
 \label{sec:smfmodel}
Index: /anuga_work/production/sydney_2006/report/yacaaba_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_A_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/yacaaba_A_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaA.jpg}} 
-\caption{Maximum inundation map for the Yacaaba slide in region A. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaA.jpg}} 
+\caption{Maximum inundation map for the Yacaaba slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaA}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/yacaaba_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_B_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/yacaaba_B_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaB.jpg}} 
-\caption{Maximum inundation map for the Yacaaba slide in region B. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaB.jpg}} 
+\caption{Maximum inundation map for the Yacaaba slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaB}
 %\end{sidewaysfigure}
Index: /anuga_work/production/sydney_2006/report/yacaaba_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_C_map.tex	(revision 4104)
+++ /anuga_work/production/sydney_2006/report/yacaaba_C_map.tex	(revision 4105)
@@ -2,6 +2,6 @@
 
 \begin{figure}
-%\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaC.jpg}} 
-\caption{Maximum inundation map for the Yacaaba slide in region C. Data: NSW DLI and AHO.}  
+\centerline{ \includegraphics[scale=0.6]{../report_figures/yacaabaC.jpg}} 
+\caption{Maximum inundation map for the Yacaaba slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaC}
 %\end{sidewaysfigure}